# $Revision: 1.805.2.74 $, $Date: 2010/10/31 15:41:37 $
# TODO
# - wddx: restore session support (not compiled in due DL extension check)
# - fix -threads-acfix.patch
# - deal with modules removed from php and not moved to PECL, still not obsoleted anywhere
#   - removed from php 5.0 (currently in php4):
#   db, hyperwave, java, mcal, overload, qtdom
#   - removed from php 5.1:
#   cpdf, fam, oracle
#   - removed from php 5.2:
#   filepro, hw
# - mime_magic can't handle new "string/*" entries in magic.mime
#   thus doesn't work with system magic.mime database
# - make additional headers and checking added by mail patch configurable
# - modularize session, standard (output from pure php -m)?
# - http://forum.lighttpd.net/topic/34454
# - ttyname_r() missdetected http://bugs.php.net/bug.php?id=48820
#
# To see optional extension deps:
# $ grep -r PHP_ADD_EXTENSION_DEP.*,.*,.* .
#./ext/pdo/config.m4:    PHP_ADD_EXTENSION_DEP(pdo, spl, true)
#./ext/spl/config.m4:  PHP_ADD_EXTENSION_DEP(spl, pcre, true)
#./ext/session/config.m4:  PHP_ADD_EXTENSION_DEP(session, hash, true)
#./ext/sqlite/config.m4:  PHP_ADD_EXTENSION_DEP(sqlite, spl, true)
#./ext/sqlite/config.m4:  PHP_ADD_EXTENSION_DEP(sqlite, pdo, true)
#./ext/simplexml/config.m4:  PHP_ADD_EXTENSION_DEP(simplexml, spl, true)
#./ext/xmlreader/config.m4:    PHP_ADD_EXTENSION_DEP(xmlreader, dom, true)
#
# Conditional build:
%bcond_with	fdf		# with FDF (PDF forms) module		(BR: proprietary lib)
%bcond_with	interbase_inst	# use InterBase install., not Firebird	(BR: proprietary libs)
%bcond_with	oci8		# with Oracle oci8 extension module	(BR: proprietary libs)
%bcond_with	system_gd	# with system gd (we prefer internal since it enables few more features)
%bcond_with	gd_jis_conv	# causes imagettfbbox(): any2eucjp(): invalid code in input string when internal gd used
%bcond_with	zend_multibyte		# enable zend multibyte, mbstring can't be shared then anymore
%bcond_without	curl		# without CURL extension module
%bcond_without	filter		# without filter extension module
%bcond_without	imap		# without IMAP extension module
%bcond_without	interbase	# without InterBase extension module
%bcond_without	ldap		# without LDAP extension module
%bcond_without	mhash		# without mhash extension module
%bcond_without	mime_magic	# without mime-magic module
%bcond_with	ming		# with ming extension module
%bcond_without	mm		# without mm support for session storage
%bcond_without	mssql		# without MS SQL extension module
%bcond_without	mysqli		# without mysqli support (Requires mysql > 4.1)
%bcond_without	odbc		# without ODBC extension module
%bcond_without	openssl		# without OpenSSL support and OpenSSL extension (module)
%bcond_without	pcre		# without PCRE extension module
%bcond_without	pgsql		# without PostgreSQL extension module
%bcond_without	pspell		# without pspell extension module
%bcond_without	recode		# without recode extension module
%bcond_without	snmp		# without SNMP extension module
%bcond_without	sqlite		# without SQLite extension module
%bcond_without	sybase		# without Sybase extension module
%bcond_without	sybase_ct	# without Sybase-CT extension module
%bcond_without	tidy		# without Tidy extension module
%bcond_without	wddx		# without WDDX extension module
%bcond_without	xmlrpc		# without XML-RPC extension module
%bcond_without	apache1		# disable building Apache 1.3.x module
%bcond_without	apache2		# disable building Apache 2.x module
%bcond_without	fcgi		# disable building FCGI SAPI
%bcond_without	zts		# disable Zend Thread Safety
%bcond_without	fpm		# fpm patches from http://www.php-fpm.org/
%bcond_without	suhosin		# with suhosin patch
%bcond_with	system_xmlrpc_epi	# use system xmlrpc-epi library (broken on 64bit arches, see http://bugs.php.net/41611)
%bcond_with	tests		# default off; test process very often hangs on builders; perform "make test"
%bcond_with	versioning	# build with experimental versioning (to load php4/php5 into same apache)

%define apxs1		/usr/sbin/apxs1
%define	apxs2		/usr/sbin/apxs

# some problems with apache 2.x
%if %{with apache2}
%undefine	with_mm
%endif

%ifnarch %{ix86} %{x8664} sparc sparcv9 alpha ppc
%undefine	with_interbase
%endif
%if "%{pld_release}" == "th"
%ifarch ppc
# ppc disabled (broken on th-ppc)
%undefine	with_interbase
%endif
%endif

%ifnarch %{ix86} %{x8664}
# unsupported, see sapi/cgi/fpm/fpm_atomic.h
%undefine	with_fpm
%endif

%if %{without apache1} && %{without apache2}
ERROR: You need to select at least one Apache SAPI to build shared modules.
%endif

# filter depends on pcre
%if %{without pcre}
%undefine	with_filter
%endif

%if "%{pld_release}" == "ac"
%define		magic_mime	/usr/share/file/magic.mime
%else
%define		magic_mime	/usr/share/misc/magic.mime
%endif

Summary:	PHP: Hypertext Preprocessor
Summary(fr.UTF-8):	Le langage de script embarque-HTML PHP
Summary(pl.UTF-8):	Język skryptowy PHP
Summary(pt_BR.UTF-8):	A linguagem de script PHP
Summary(ru.UTF-8):	PHP Версии 5 - язык препроцессирования HTML-файлов, выполняемый на сервере
Summary(uk.UTF-8):	PHP Версії 5 - мова препроцесування HTML-файлів, виконувана на сервері
Name:		php
Version:	5.2.14
Release:	5
Epoch:		4
License:	PHP
Group:		Libraries
Source0:	http://www.php.net/distributions/%{name}-%{version}.tar.bz2
# Source0-md5:	bfdfc0e62fe437020cc04078269d1414
Source2:	%{name}-mod_%{name}.conf
Source3:	%{name}-cgi-fcgi.ini
Source4:	%{name}-cgi.ini
Source5:	%{name}-apache.ini
Source6:	%{name}-cli.ini
# Taken from: http://browsers.garykeith.com/downloads.asp
Source8:	%{name}_browscap.ini
# lynx -dump ftp://distfiles.gentoo.org/pub/gentoo/distfiles/|grep -o ftp://.*php-patchset.*tar.bz2
#Source9:	ftp://distfiles.gentoo.org/pub/gentoo/distfiles/%{name}-patchset-%{version}-r1.tar.bz2
## Source9-md5:	d67f23f5e69664e06fce89b064d5bbab
Source10:	%{name}-fpm.init
Source11:	%{name}-fpm.logrotate
Source12:	%{name}-branch.sh
Source13:	dep-tests.sh
Source14:	skip-tests.sh
Patch0:		%{name}-shared.patch
Patch1:		%{name}-pldlogo.patch
Patch2:		%{name}-mail.patch
Patch3:		%{name}-link-libs.patch
Patch4:		%{name}-libpq_fs_h_path.patch
Patch5:		%{name}-filter-shared.patch
Patch6:		%{name}-build_modules.patch
Patch7:		%{name}-sapi-ini-file.patch
Patch8:		%{name}-no-metaccld.patch
Patch9:		%{name}-sh.patch
Patch10:	%{name}-ini.patch
Patch11:	%{name}-acam.patch
Patch12:	%{name}-threads-acfix.patch
Patch13:	%{name}-tsrmlsfetchgcc2.patch
Patch14:	%{name}-no_pear_install.patch
Patch15:	%{name}-zlib.patch
Patch16:	%{name}-sybase-fix.patch
Patch17:	%{name}-readline.patch
Patch18:	%{name}-nohttpd.patch
Patch19:	%{name}-gd_imagerotate_enable.patch
Patch20:	%{name}-uint32_t.patch
Patch21:	%{name}-dba-link.patch
Patch22:	%{name}-both-apxs.patch
Patch23:	%{name}-builddir.patch
Patch24:	%{name}-zlib-for-getimagesize.patch
Patch25:	%{name}-versioning.patch
Patch26:	%{name}-pear.patch
Patch27:	%{name}-config-dir.patch
Patch28:	%{name}-bug-42952.patch
Patch29:	%{name}-fcgi-graceful.patch
Patch30:	%{name}-apr-apu.patch
Patch31:	%{name}-fcgi-error_log-no-newlines.patch
Patch32:	%{name}-curl-limit-speed.patch
Patch33:	%{name}-mime_magic.patch
Patch34:	%{name}-libtool.patch
Patch35:	%{name}-tds.patch
Patch36:	%{name}-mysql-charsetphpini.patch
Patch37:	%{name}-mysqli-charsetphpini.patch
Patch38:	%{name}-pdo_mysql-charsetphpini.patch
Patch39:	%{name}-use-prog_sendmail.patch
Patch40:	%{name}-fpm.patch
Patch41:	%{name}-fpm-config.patch
Patch42:	%{name}-fpm-initdir.patch
Patch43:	%{name}-silent-session-cleanup.patch
Patch44:	%{name}-include_path.patch
Patch45:	%{name}-imap-annotations.patch
Patch46:	%{name}-imap-myrights.patch
Patch47:	suhosin.patch
Patch49:	%{name}-m4-divert.patch
Patch50:	extension-shared-optional-dep.patch
Patch51:	spl-shared.patch
Patch52:	%{name}-libpng.patch
Patch53:	%{name}-gmp.patch
Patch54:	fix-test-run.patch
Patch55:	%{name}-krb5.patch
Patch56:	php-php_dl.patch
URL:		http://www.php.net/
%{?with_interbase:%{!?with_interbase_inst:BuildRequires:	Firebird-devel >= 1.0.2.908-2}}
%{?with_pspell:BuildRequires:	aspell-devel >= 2:0.50.0}
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.4d
BuildRequires:	bison
BuildRequires:	bzip2-devel
%{?with_curl:BuildRequires:	curl-devel >= 7.12.0}
BuildRequires:	cyrus-sasl-devel
BuildRequires:	db-devel >= 4.0
BuildRequires:	elfutils-devel
%if %{with xmlrpc}
%{?with_system_xmlrpc_epi:BuildRequires:    xmlrpc-epi-devel}
%endif
%{?with_fcgi:BuildRequires:	fcgi-devel}
%{?with_fdf:BuildRequires:	fdftk-devel}
BuildRequires:	flex
%if %{with mssql} || %{with sybase} || %{with sybase_ct}
BuildRequires:	freetds-devel
%endif
BuildRequires:	freetype-devel >= 2.0
%if %{with system_gd}
BuildRequires:	gd-devel >= 2.0.28-4
BuildRequires:	gd-devel(imagerotate) = 5.2.0
%endif
BuildRequires:	gdbm-devel
BuildRequires:	gmp-devel
%{?with_imap:BuildRequires:	imap-devel >= 1:2007e-2}
BuildRequires:	libjpeg-devel
BuildRequires:	libltdl-devel >= 1.4
BuildRequires:	libmcrypt-devel >= 2.4.4
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libtiff-devel
%if "%{pld_release}" != "ac"
BuildRequires:	libtool >= 2:2.2
%else
BuildRequires:	libtool
%endif
BuildRequires:	libwrap-devel
BuildRequires:	libxml2-devel >= 1:2.7.6-4
BuildRequires:	libxslt-devel >= 1.1.0
%{?with_mhash:BuildRequires:	mhash-devel}
%{?with_ming:BuildRequires:	ming-devel >= 0.3}
%{?with_mm:BuildRequires:	mm-devel >= 1.3.0}
BuildRequires:	mysql-devel >= 4.0.0
%{?with_mysqli:BuildRequires:	mysql-devel >= 4.1}
BuildRequires:	ncurses-ext-devel
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
%if %{with openssl} || %{with ldap}
BuildRequires:	openssl-devel >= 0.9.7d
%endif
%{?with_snmp:BuildRequires:	net-snmp-devel >= 5.0.7}
%{?with_snmp:%{?with_tests:mibs-net-snmp}}
BuildRequires:	pam-devel
%{?with_pcre:BuildRequires:	pcre-devel >= 6.6}
BuildRequires:	pkgconfig
%{?with_pgsql:BuildRequires:	postgresql-backend-devel >= 7.2}
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	readline-devel
%{?with_recode:BuildRequires:	recode-devel >= 3.5d-3}
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-build >= 4.4.0
BuildRequires:	rpmbuild(macros) >= 1.519
%{?with_sqlite:BuildRequires:	sqlite-devel}
%{?with_sqlite:BuildRequires:	sqlite3-devel}
BuildRequires:	t1lib-devel
%{?with_tidy:BuildRequires:	tidy-devel}
%{?with_odbc:BuildRequires:	unixODBC-devel}
BuildRequires:	zlib-devel >= 1.0.9
%if %{with apache1}
BuildRequires:	apache1-devel
%endif
%if %{with apache2}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	apr-devel >= 1:1.0.0
BuildRequires:	apr-util-devel >= 1:1.0.0
%endif
%if %{with fpm}
BuildRequires:	judy-devel
BuildRequires:	libevent-devel >= 1.4.7-3
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		php_sysconfdir		/etc/php
%define		php_extensiondir	%{_libdir}/php
%define		_sysconfdir			%{php_sysconfdir}

# must be in sync with source. extra check ensuring that it is so is done in %%build
%define		php_api_version		20041225
%define		zend_module_api		20060613
%define		zend_extension_api	220060519
%define		zend_zts		%{!?with_zts:0}%{?with_zts:1}
%define		php_debug		%{!?debug:0}%{?debug:1}

%if %{with oci8}
# ORACLE_HOME is required for oci8 ext to build
%define _preserve_env %_preserve_env_base ORACLE_HOME
%endif

%description
PHP is an HTML-embedded scripting language. PHP attempts to make it
easy for developers to write dynamically generated web pages. PHP also
offers built-in database integration for several commercial and
non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple. The most common
use of PHP coding is probably as a replacement for CGI scripts. The
mod_php module enables the Apache web server to understand and process
the embedded PHP language in web pages. This package contains PHP
version %{version}.

%description -l fr.UTF-8
PHP est un langage de script embarque dans le HTM. PHP essaye de
rendre simple aux developpeurs d'ecrire des pages web generees
dynamiquement. PHP incorpore egalement une integration avec plusieurs
systemes de gestion de bases de donnees commerciaux et
non-connerciaux, qui rent facile la creation de pages web liees avec
des bases de donnees. L'utilisation la plus commune de PHP est
probablement en remplacement de scripts CGI. Le module mod_php permet
au serveur web Apache de comprendre et de traiter le langage PHP
integre dans des pages web. Ce package contient PHP version
%{version}.

%description -l pl.UTF-8
PHP jest językiem skryptowym, którego polecenia umieszcza się w
plikach HTML. Jest próbą ułatwienia programistom pisania dynamicznie
generowanych stron WWW. Oferuje także wbudowaną integrację z bazami
danych dla kilku komercyjnych i niekomercyjnych systemów baz danych,
co czyni tworzenie stron korzystających z baz danych w miarę łatwym.
Najczęściej PHP jest używany prawdopodobnie jako zamiennik skryptów
CGI. Moduł mod_php pozwala serwerowi WWW Apache rozumieć i przetwarzać
język PHP osadzony w stronach. Ten pakiet zawiera PHP w wersji
%{version}.

%description -l pt_BR.UTF-8
PHP: Preprocessador de Hipertexto versão 4 é uma linguagem script
embutida em HTML. Muito de sua sintaxe é emprestada de C, Java e Perl,
com algumas características únicas, específicas ao PHP. O objetivo da
linguagem é permitir que desenvolvedores web escrevam páginas
dinamicamente geradas de forma rápida.

%description -l ru.UTF-8
PHP - это язык написания скриптов, встраиваемых в HTML-код. PHP
предлагает интерграцию с множеством СУБД, поэтому написание скриптов
для работы с базами данных относительно просто. Наиболее популярное
использование PHP - замена для CGI скриптов.

%description -l uk.UTF-8
PHP - це мова написання скриптів, що вбудовуються в HTML-код. PHP
пропонує інтеграцію з багатьма СУБД, тому написання скриптів для
роботи з базами даних є доволі простим. Найбільш популярне
використання PHP - заміна для CGI скриптів.

%package -n apache1-mod_php
Summary:	PHP DSO module for Apache 1.3.x
Summary(pl.UTF-8):	Moduł DSO (Dynamic Shared Object) PHP dla Apache 1.3.x
Group:		Development/Languages/PHP
Requires(triggerpostun):	sed >= 4.0
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	apache1(EAPI) >= 1.3.33-2
Requires:	apache1-mod_mime
Provides:	webserver(php) = %{version}
Obsoletes:	apache-mod_php < 1:4.1.1
Obsoletes:	phpfi

%description -n apache1-mod_php
PHP as DSO module for Apache 1.3.x.

%description -n apache1-mod_php -l pl.UTF-8
PHP jako moduł DSO (Dynamic Shared Object) dla Apache 1.3.x.

%package -n apache-mod_php
Summary:	PHP DSO module for Apache 2.x
Summary(pl.UTF-8):	Moduł DSO (Dynamic Shared Object) PHP dla Apache 2.x
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	apache(modules-api) = %{apache_modules_api}
Requires:	apache-mod_mime
Provides:	webserver(php) = %{version}
Obsoletes:	phpfi

%description -n apache-mod_php
PHP as DSO module for Apache 2.x.

%description -n apache-mod_php -l pl.UTF-8
PHP jako moduł DSO (Dynamic Shared Object) dla Apache 2.x.

%package fcgi
Summary:	php as FastCGI program
Summary(pl.UTF-8):	php jako program FastCGI
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(fcgi)
Provides:	webserver(php) = %{version}

%description fcgi
php as FastCGI program.

%description fcgi -l pl.UTF-8
php jako program FastCGI.

%package cgi
Summary:	PHP as CGI/FastCGI program
Summary(pl.UTF-8):	PHP jako program CGI/FastCGI
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(cgi)
Provides:	webserver(php) = %{version}

%description cgi
php as CGI program.

%description cgi -l pl.UTF-8
php jako program CGI.

%package cli
Summary:	PHP as CLI interpreter
Summary(pl.UTF-8):	PHP jako interpreter działający z linii poleceń
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}

%description cli
PHP as CLI interpreter.

%description cli -l pl.UTF-8
PHP jako interpreter działający z linii poleceń.

%package program
Summary:	/usr/bin/php symlink
Summary(pl.UTF-8):	Dowiązanie symboliczne /usr/bin/php
Group:		Development/Languages/PHP
Requires:	%{name}-cli = %{epoch}:%{version}-%{release}
Obsoletes:	/usr/bin/php

%description program
Package providing /usr/bin/php symlink to PHP CLI.

%description program -l pl.UTF-8
Pakiet dostarczający dowiązanie symboliczne /usr/bin/php do PHP CLI.

%package fpm
Summary:	PHP FastCGI Process Manager
Group:		Development/Languages/PHP
URL:		http://www.php-fpm.org/
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	libevent >= 1.4.7-3
Requires:	rc-scripts
Provides:	user(http)
Provides:	webserver(php) = %{version}

%description fpm
PHP FastCGI Process Manager.

%package common
Summary:	Common files needed by both Apache modules and CGI/CLI SAPI-s
Summary(pl.UTF-8):	Wspólne pliki dla modułu Apache'a i programu CGI
Summary(ru.UTF-8):	Разделяемые библиотеки для PHP
Summary(uk.UTF-8):	Бібліотеки спільного використання для PHP
Group:		Libraries
# because of dlclose() bugs in glibc <= 2.3.4 causing SEGVs on exit
Requires:	glibc >= 6:2.3.5
Requires:	php-dirs
Requires:	rpm-whiteout >= 1.28
Provides:	php(date)
Provides:	php(ereg)
Provides:	php(libxml)
%{?with_zend_multibyte:Provides:	php(mbstring)}
Provides:	php(modules_api) = %{php_api_version}
Provides:	php(overload)
Provides:	php(reflection)
Provides:	php(standard)
Provides:	php(zend_extension_api) = %{zend_extension_api}
Provides:	php(zend_module_api) = %{zend_module_api}
Provides:	php-date
Provides:	php-ereg
%{?with_zend_multibyte:Provides:	php-mbstring = %{epoch}:%{version}-%{release}}
Provides:	php-overload
Provides:	php-reflection
Provides:	php-standard
Provides:	php5(debug) = %{php_debug}
Provides:	php5(thread-safety) = %{zend_zts}
# ensure backward compatibility for Titanium
# to be dropped in future but ask Titanium RM before doing so
%if "%{pld_release}" == "ti"
Requires:	%{name}-pcre = %{epoch}:%{version}-%{release}
Requires:	%{name}-session = %{epoch}:%{version}-%{release}
Requires:	%{name}-spl = %{epoch}:%{version}-%{release}
%endif
%if "%{pld_release}" == "ac"
Requires:	%{name}-pcre = %{epoch}:%{version}-%{release}
Requires:	%{name}-session = %{epoch}:%{version}-%{release}
Requires:	%{name}-spl = %{epoch}:%{version}-%{release}
%endif
Obsoletes:	php-pecl-domxml
Conflicts:	php-pecl-memcache < 3.0.4-2
Conflicts:	php4-common < 3:4.4.4-8
Conflicts:	rpm < 4.4.2-0.2

%description common
Common files needed by both Apache modules and CGI/CLI SAPI-s.

%description common -l pl.UTF-8
Wspólne pliki dla modułu Apache'a i programu CGI.

%description common -l ru.UTF-8
Этот пакет содержит общие файлы для разных вариантов реализации PHP
(самодостаточной и в качестве модуля Apache).

%description common -l uk.UTF-8
Цей пакет містить спільні файли для різних варіантів реалізації PHP
(самодостатньої та в якості модуля Apache).

%package devel
Summary:	Files for PHP modules development
Summary(pl.UTF-8):	Pliki do kompilacji modułów PHP
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento para PHP
Summary(ru.UTF-8):	Пакет разработки для построения расширений PHP
Summary(uk.UTF-8):	Пакет розробки для побудови розширень PHP
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	autoconf
Requires:	automake
%if "%{pld_release}" != "ac"
Requires:	libtool >= 2:2.2
%else
Requires:	libtool
%endif
%{?with_pcre:Requires:	pcre-devel >= 6.6}
Requires:	shtool
Obsoletes:	php-pear-devel
Obsoletes:	php4-devel

%description devel
The php-devel package lets you compile dynamic extensions to PHP.
Included here is the source for the PHP extensions. Instead of
recompiling the whole PHP binary to add support for, say, oracle,
install this package and use the new self-contained extensions
support. For more information, read the file
README.SELF-CONTAINED-EXTENSIONS.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki potrzebne do kompilacji modułów PHP. Zamiast
rekompilować całe PHP aby dodać obsługę np. oracle, można przy użyciu
tego pakietu skompilować samodzielne rozszerzenie. Więcej informacji o
samodzielnych rozszerzeniach można znaleźć w pliku
README.SELF-CONTAINED-EXTENSIONS.

%description devel -l pt_BR.UTF-8
Este pacote contém arquivos usados no desenvolvimento de programas ou
módulos PHP.

%description devel -l ru.UTF-8
Пакет php-devel дает возможность компилировать динамические расширения
PHP. Пакет включает исходный код этих расширений. Вместо повторной
компиляции бинарного файла PHP для добавления, например, поддержки
oracle, установите этот пакет для компилирования отдельных расширений.
Подробности - в файле README.SELF-CONTAINED-EXTENSIONS.

%description devel -l uk.UTF-8
Пакет php-devel дає можливість компілювати динамічні розширення PHP.
До пакету включено вихідний код для розширень. Замість повторної
компіляції бінарного файлу PHP для додання, наприклад, підтримки
oracle, встановіть цей пакет для компіляції окремих розширень.
Детальніша інформація - в файлі README.SELF-CONTAINED-EXTENSIONS.

%package bcmath
Summary:	bcmath extension module for PHP
Summary(pl.UTF-8):	Moduł bcmath dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.bc.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(bcmath)

%description bcmath
This is a dynamic shared object (DSO) for PHP that will add bc style
precision math functions support.

%description bcmath -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z dokładnych funkcji
matematycznych takich jak w programie bc.

%package bz2
Summary:	Bzip2 extension module for PHP
Summary(pl.UTF-8):	Moduł bzip2 dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.bzip2.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(bz2)
Provides:	php(bzip2)
Provides:	php-bzip2 = %{epoch}:%{version}-%{release}
Obsoletes:	php-bzip2

%description bz2
This is a dynamic shared object (DSO) for PHP that will add bzip2
compression support to PHP.

%description bz2 -l pl.UTF-8
Moduł PHP umożliwiający używanie kompresji bzip2.

%package calendar
Summary:	Calendar extension module for PHP
Summary(pl.UTF-8):	Moduł funkcji kalendarza dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.calendar.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(calendar)

%description calendar
This is a dynamic shared object (DSO) for PHP that will add calendar
support.

%description calendar -l pl.UTF-8
Moduł PHP dodający wsparcie dla kalendarza.

%package ctype
Summary:	ctype extension module for PHP
Summary(pl.UTF-8):	Moduł ctype dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.ctype.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(ctype)

%description ctype
This is a dynamic shared object (DSO) for PHP that will add ctype
support.

%description ctype -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z funkcji ctype.

%package curl
Summary:	curl extension module for PHP
Summary(pl.UTF-8):	Moduł curl dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.curl.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(curl)

%description curl
This is a dynamic shared object (DSO) for PHP that will add curl
support.

%description curl -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z biblioteki curl.

%package dba
Summary:	DBA extension module for PHP
Summary(pl.UTF-8):	Moduł DBA dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.dba.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(dba)

%description dba
This is a dynamic shared object (DSO) for PHP that will add flat-file
databases (DBA) support.

%description dba -l pl.UTF-8
Moduł dla PHP dodający obsługę dla baz danych opartych na plikach
(DBA).

%package dbase
Summary:	DBase extension module for PHP
Summary(pl.UTF-8):	Moduł DBase dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(dbase)

%description dbase
This is a dynamic shared object (DSO) for PHP that will add DBase
support.

%description dbase -l pl.UTF-8
Moduł PHP ze wsparciem dla DBase.

%package dom
Summary:	DOM extension module for PHP
Summary(pl.UTF-8):	Moduł DOM dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.dom.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(dom)
# it has some compatibility functions
Provides:	php(domxml)
Provides:	php-domxml = %{epoch}:%{version}-%{release}
Obsoletes:	php-domxml <= 3:4.3.8-1

%description dom
This is a dynamic shared object (DSO) for PHP that will add new DOM
support.

%description dom -l pl.UTF-8
Moduł PHP dodający nową obsługę DOM.

%package exif
Summary:	exif extension module for PHP
Summary(pl.UTF-8):	Moduł exif dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.exif.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(exif)

%description exif
This is a dynamic shared object (DSO) for PHP that will add EXIF tags
support in image files.

%description exif -l pl.UTF-8
Moduł PHP dodający obsługę znaczników EXIF w plikach obrazków.

%package fdf
Summary:	FDF extension module for PHP
Summary(pl.UTF-8):	Moduł FDF dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.fdf.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(fdf)

%description fdf
This PHP module adds support for PDF Forms through Adobe FDFTK
library.

%description fdf -l pl.UTF-8
Moduł PHP dodający obsługę formularzy PDF poprzez bibliotekę Adobe
FDFTK.

%package filter
Summary:	Extension for safely dealing with input parameters
Summary(pl.UTF-8):	Rozszerzenie do bezpiecznej obsługi danych wejściowych
Group:		Libraries
URL:		http://www.php.net/manual/en/book.filter.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pcre = %{epoch}:%{version}-%{release}
Provides:	php(filter)
Obsoletes:	php-pecl-filter

%description filter
We all know that you should always check input variables, but PHP does
not offer really good functionality for doing this in a safe way. The
Input Filter extension is meant to address this issue by implementing
a set of filters and mechanisms that users can use to safely access
their input data.

%description filter -l pl.UTF-8
Wiadomo, że trzeba zawsze sprawdzać zmienne wejściowe, ale PHP nie
oferuje naprawdę dobrej funkcjonalności do robienia tego w sposób
bezpieczny. Rozszerzenie Input Filter ma rozwiązać ten problem poprzez
zaimplementowanie zestawu filtrów i mechanizmów, których użytkownicy
mogą bezpiecznie używać do dostępu do danych.

%package ftp
Summary:	FTP extension module for PHP
Summary(pl.UTF-8):	Moduł FTP dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.ftp.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(ftp)

%description ftp
This is a dynamic shared object (DSO) for PHP that will add FTP
support.

%description ftp -l pl.UTF-8
Moduł PHP dodający obsługę protokołu FTP.

%package gd
Summary:	GD extension module for PHP
Summary(pl.UTF-8):	Moduł GD dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.image.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
%if %{with system_gd}
Requires:	gd >= 2.0.28-4
Requires:	gd(gif)
Requires:	gd(imagerotate) = 5.2.0
%endif
Provides:	php(gd)

%description gd
This is a dynamic shared object (DSO) for PHP that will add GD
support, allowing you to create and manipulate images with PHP.

%description gd -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z biblioteki GD, pozwalającej na
tworzenie i obróbkę obrazków.

%package gettext
Summary:	gettext extension module for PHP
Summary(pl.UTF-8):	Moduł gettext dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.gettext.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(gettext)

%description gettext
This is a dynamic shared object (DSO) for PHP that will add gettext
support.

%description gettext -l pl.UTF-8
Moduł PHP dodający obsługę lokalizacji przez gettext.

%package gmp
Summary:	gmp extension module for PHP
Summary(pl.UTF-8):	Moduł gmp dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.gmp.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(gmp)

%description gmp
This is a dynamic shared object (DSO) for PHP that will add arbitrary
length number support with GNU MP library.

%description gmp -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z biblioteki gmp do obliczeń na
liczbach o dowolnej długości.

%package hash
Summary:	HASH Message Digest Framework
Summary(pl.UTF-8):	Szkielet do obliczania skrótów wiadomości
Group:		Libraries
URL:		http://www.php.net/manual/en/book.gmp.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(hash)
Obsoletes:	php-pecl-hash

%description hash
Native implementations of common message digest algorithms using a
generic factory method.

%description hash -l pl.UTF-8
Natywne implementacje popularnych algorytmów obliczania skrótów
wiadomości przy użyciu wspólnego interfejsu.

%package iconv
Summary:	iconv extension module for PHP
Summary(pl.UTF-8):	Moduł iconv dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.iconv.php
Requires:	%{_libdir}/gconv
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	iconv
Provides:	php(iconv)

%description iconv
This is a dynamic shared object (DSO) for PHP that will add iconv
support.

%description iconv -l pl.UTF-8
Moduł PHP dodający obsługę iconv.

%package imap
Summary:	IMAP extension module for PHP
Summary(pl.UTF-8):	Moduł IMAP dla PHP
Summary(pt_BR.UTF-8):	Um módulo para aplicações PHP que usam IMAP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.imap.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(imap)

%description imap
This is a dynamic shared object (DSO) for PHP that will add IMAP
support.

%description imap -l pl.UTF-8
Moduł PHP dodający obsługę skrzynek IMAP.

%description imap -l pt_BR.UTF-8
Um módulo para aplicações PHP que usam IMAP.

%package interbase
Summary:	InterBase/Firebird database module for PHP
Summary(pl.UTF-8):	Moduł bazy danych InterBase/Firebird dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.ibase.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(interbase)
%{?with_interbase_inst:Autoreq:	false}

%description interbase
This is a dynamic shared object (DSO) for PHP that will add InterBase
and Firebird database support.

%description interbase -l pl.UTF-8
Moduł PHP umożliwiający dostęp do baz danych InterBase i Firebird.

%package json
Summary:	PHP C extension for JSON serialization
Summary(pl.UTF-8):	Rozszerzenie C PHP dla serializacji JSON
Group:		Libraries
URL:		http://www.php.net/manual/en/book.json.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(json)
Obsoletes:	php-pecl-json

%description json
php-json is an extremely fast PHP C extension for JSON (JavaScript
Object Notation) serialisation.

%description json -l pl.UTF-8
php-json to bardzo szybkie rozszerzenie C PHP dla serializacji JSON
(JavaScript Object Notation).

%package ldap
Summary:	LDAP extension module for PHP
Summary(pl.UTF-8):	Moduł LDAP dla PHP
Summary(pt_BR.UTF-8):	Um módulo para aplicações PHP que usam LDAP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.ldap.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(ldap)

%description ldap
This is a dynamic shared object (DSO) for PHP that will add LDAP
support.

%description ldap -l pl.UTF-8
Moduł PHP dodający obsługę LDAP.

%description ldap -l pt_BR.UTF-8
Um módulo para aplicações PHP que usam LDAP.

%package mbstring
Summary:	mbstring extension module for PHP
Summary(pl.UTF-8):	Moduł mbstring dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.mbstring.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mbstring)

%description mbstring
This is a dynamic shared object (DSO) for PHP that will add multibyte
string support.

%description mbstring -l pl.UTF-8
Moduł PHP dodający obsługę ciągów znaków wielobajtowych.

%package mcrypt
Summary:	mcrypt extension module for PHP
Summary(pl.UTF-8):	Moduł mcrypt dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.mcrypt.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mcrypt)

%description mcrypt
This is a dynamic shared object (DSO) for PHP that will add mcrypt
support.

%description mcrypt -l pl.UTF-8
Moduł PHP dodający możliwość szyfrowania poprzez bibliotekę mcrypt.

%package mhash
Summary:	mhash extension module for PHP
Summary(pl.UTF-8):	Moduł mhash dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mhash)

%description mhash
This is a dynamic shared object (DSO) for PHP that will add mhash
support.

%description mhash -l pl.UTF-8
Moduł PHP udostępniający funkcje mieszające z biblioteki mhash.

%package mime_magic
Summary:	mime_magic extension module for PHP
Summary(pl.UTF-8):	Moduł mime_magic dla PHP
Group:		Libraries
Requires:	%{magic_mime}
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mime_magic)

%description mime_magic
This PHP module adds support for MIME type lookup via file magic
numbers using magic.mime database.

%description mime_magic -l pl.UTF-8
Moduł PHP dodający obsługę wyszukiwania typów MIME według magicznych
znaczników plików z użyciem bazy danych magic.mime.

%package ming
Summary:	ming extension module for PHP
Summary(pl.UTF-8):	Moduł ming dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	ming >= 0.3
Provides:	php(ming)

%description ming
This is a dynamic shared object (DSO) for PHP that will add ming
(Flash - .swf files) support.

%description ming -l pl.UTF-8
Moduł PHP dodający obsługę plików Flash (.swf) poprzez bibliotekę
ming.

%package mssql
Summary:	MS SQL extension module for PHP
Summary(pl.UTF-8):	Moduł MS SQL dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.mssql.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mssql)

%description mssql
This is a dynamic shared object (DSO) for PHP that will add MS SQL
databases support through FreeTDS library.

%description mssql -l pl.UTF-8
Moduł PHP dodający obsługę baz danych MS SQL poprzez bibliotekę
FreeTDS.

%package mysql
Summary:	MySQL database module for PHP
Summary(pl.UTF-8):	Moduł bazy danych MySQL dla PHP
Summary(pt_BR.UTF-8):	Um módulo para aplicações PHP que usam bancos de dados MySQL
Group:		Libraries
URL:		http://www.php.net/manual/en/book.mysql.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mysql)

%description mysql
This is a dynamic shared object (DSO) for PHP that will add MySQL
database support.

%description mysql -l pl.UTF-8
Moduł PHP umożliwiający dostęp do bazy danych MySQL.

%description mysql -l pt_BR.UTF-8
Um módulo para aplicações PHP que usam bancos de dados MySQL.

%package mysqli
Summary:	MySQLi module for PHP
Summary(pl.UTF-8):	Moduł MySQLi dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.mysqli.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-spl = %{epoch}:%{version}-%{release}
Requires:	mysql-libs >= 4.1.0
Provides:	php(mysqli)

%description mysqli
This is a dynamic shared object (DSO) for PHP that will add MySQLi
(Improved MySQL) support. The difference between it and mysql module
is that it provides access to functionality of MySQL 4.1 and above.

%description mysqli -l pl.UTF-8
Moduł PHP umożliwiający udoskonalony dostęp do bazy danych MySQL.
Różnicą między nim a modułem mysql jest dostęp do funkcjonalności
MySQL w wersji 4.1 i nowszych.

%package ncurses
Summary:	ncurses module for PHP
Summary(pl.UTF-8):	Moduł ncurses dla PHP
Group:		Libraries
Requires:	%{name}-cli = %{epoch}:%{version}-%{release}
Provides:	php(ncurses)

%description ncurses
This PHP module adds support for ncurses functions (only for cli and
cgi SAPIs).

%description ncurses -l pl.UTF-8
Moduł PHP dodający obsługę funkcji ncurses (tylko do SAPI cli i cgi).

%package oci8
Summary:	Oracle 8+ database module for PHP
Summary(pl.UTF-8):	Moduł bazy danych Oracle 8+ dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.oci8.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(oci8)
AutoReq:	false

%description oci8
This is a dynamic shared object (DSO) for PHP that will add Oracle 7,
8, 9 and 10 database support through Oracle8 Call-Interface (OCI8).

%description oci8 -l pl.UTF-8
Moduł PHP umożliwiający dostęp do bazy danych Oracle 7, 8, 9 i 10
poprzez interfejs Oracle8 Call-Interface (OCI8).

%package odbc
Summary:	ODBC extension module for PHP
Summary(pl.UTF-8):	Moduł ODBC dla PHP
Summary(pt_BR.UTF-8):	Um módulo para aplicações PHP que usam bases de dados ODBC
Group:		Libraries
URL:		http://www.php.net/manual/en/book.uodbc.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	unixODBC >= 2.1.1-3
Provides:	php(odbc)

%description odbc
This is a dynamic shared object (DSO) for PHP that will add ODBC
support.

%description odbc -l pl.UTF-8
Moduł PHP ze wsparciem dla ODBC.

%description odbc -l pt_BR.UTF-8
Um módulo para aplicações PHP que usam ODBC.

%package openssl
Summary:	OpenSSL extension module for PHP
Summary(pl.UTF-8):	Moduł OpenSSL dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.openssl.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(openssl)

%description openssl
This is a dynamic shared object (DSO) for PHP that will add OpenSSL
support.

%description openssl -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z biblioteki OpenSSL.

%package pcntl
Summary:	Process Control extension module for PHP
Summary(pl.UTF-8):	Moduł Process Control dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.pcntl.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(pcntl)

%description pcntl
This is a dynamic shared object (DSO) for PHP that will add process
spawning and control support. It supports functions like fork(),
waitpid(), signal() etc.

%description pcntl -l pl.UTF-8
Moduł PHP umożliwiający tworzenie nowych procesów i kontrolę nad nimi.
Obsługuje funkcje takie jak fork(), waitpid(), signal() i podobne.

%package pcre
Summary:	PCRE extension module for PHP
Summary(pl.UTF-8):	Moduł PCRE dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(pcre)

%description pcre
This is a dynamic shared object (DSO) for PHP that will add Perl
Compatible Regular Expression support.

%description pcre -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z perlowych wyrażeń regularnych
(Perl Compatible Regular Expressions)

%package pdo
Summary:	PHP Data Objects (PDO)
Summary(pl.UTF-8):	Obsługa PHP Data Objects (PDO)
Group:		Libraries
URL:		http://www.php.net/manual/en/book.pdo.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-spl = %{epoch}:%{version}-%{release}
Provides:	php(pdo)
Obsoletes:	php-pecl-PDO

%description pdo
This is a dynamic shared object (DSO) for PHP that will add PDO
support.

%description pdo -l pl.UTF-8
Moduł PHP dodający obsługę PDO (PHP Data Objects).

%package pdo-dblib
Summary:	PHP Data Objects (PDO) FreeTDS support
Summary(pl.UTF-8):	Moduł PHP Data Objects (PDO) z obsługą FreeTDS
Group:		Libraries
URL:		http://www.php.net/manual/en/ref.pdo-dblib.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(dblib)

%description pdo-dblib
This is a dynamic shared object (DSO) for PHP that will add PDO
FreeTDS support.

%description pdo-dblib -l pl.UTF-8
Moduł dla PHP dodający obsługę baz danych FreeTDS za pośrednictwem
interfejsu PDO.

%package pdo-firebird
Summary:	PHP Data Objects (PDO) Firebird support
Summary(pl.UTF-8):	Moduł PHP Data Objects (PDO) z obsługą Firebirda
Group:		Libraries
URL:		http://www.php.net/manual/en/ref.pdo-firebird.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-firebird)
Obsoletes:	php-pecl-PDO_FIREBIRD

%description pdo-firebird
This is a dynamic shared object (DSO) for PHP that will add PDO
Firebird support.

%description pdo-firebird -l pl.UTF-8
Moduł dla PHP dodający obsługę baz danych Firebird za pośrednictwem
interfejsu PDO.

%package pdo-mysql
Summary:	PHP Data Objects (PDO) MySQL support
Summary(pl.UTF-8):	Moduł PHP Data Objects (PDO) z obsługą MySQL-a
Group:		Libraries
URL:		http://www.php.net/manual/en/ref.pdo-mysql.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-mysql)
Obsoletes:	php-pecl-PDO_MYSQL

%description pdo-mysql
This is a dynamic shared object (DSO) for PHP that will add PDO MySQL
support.

%description pdo-mysql -l pl.UTF-8
Moduł dla PHP dodający obsługę baz danych MySQL za pośrednictwem
interfejsu PDO.

%package pdo-oci
Summary:	PHP Data Objects (PDO) Oracle support
Summary(pl.UTF-8):	Moduł PHP Data Objects (PDO) z obsługą Oracle'a
Group:		Libraries
URL:		http://www.php.net/manual/en/ref.pdo-oci.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-oci)
Obsoletes:	php-pecl-PDO_OCI

%description pdo-oci
This is a dynamic shared object (DSO) for PHP that will add PDO Oracle
support.

%description pdo-oci -l pl.UTF-8
Moduł dla PHP dodający obsługę baz danych Oracle za pośrednictwem
interfejsu PDO.

%package pdo-odbc
Summary:	PHP Data Objects (PDO) ODBC support
Summary(pl.UTF-8):	Moduł PHP Data Objects (PDO) z obsługą ODBC
Group:		Libraries
URL:		http://www.php.net/manual/en/ref.pdo-odbc.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-odbc)
Obsoletes:	php-pecl-PDO_ODBC

%description pdo-odbc
This is a dynamic shared object (DSO) for PHP that will add PDO ODBC
support.

%description pdo-odbc -l pl.UTF-8
Moduł dla PHP dodający obsługę baz danych ODBC za pośrednictwem
interfejsu PDO.

%package pdo-pgsql
Summary:	PHP Data Objects (PDO) PostgreSQL support
Summary(pl.UTF-8):	Moduł PHP Data Objects (PDO) z obsługą PostgreSQL-a
Group:		Libraries
URL:		http://www.php.net/manual/en/ref.pdo-pgsql.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-pgsql)
Provides:	php-pecl-PDO_PGSQL
Obsoletes:	php-pecl-PDO_PGSQL

%description pdo-pgsql
This is a dynamic shared object (DSO) for PHP that will add PDO
PostgreSQL support.

%description pdo-pgsql -l pl.UTF-8
Moduł dla PHP dodający obsługę baz danych PostgreSQL za pośrednictwem
interfejsu PDO.

%package pdo-sqlite
Summary:	PHP Data Objects (PDO) SQLite support
Summary(pl.UTF-8):	Moduł PHP Data Objects (PDO) z obsługą SQLite
Group:		Libraries
URL:		http://www.php.net/manual/en/ref.pdo-sqlite.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-sqlite)
Obsoletes:	php-pecl-PDO_SQLITE

%description pdo-sqlite
This is a dynamic shared object (DSO) for PHP that will add PDO SQLite
support.

%description pdo-sqlite -l pl.UTF-8
Moduł dla PHP dodający obsługę baz danych SQLite za pośrednictwem
interfejsu PDO.

%package pgsql
Summary:	PostgreSQL database module for PHP
Summary(pl.UTF-8):	Moduł bazy danych PostgreSQL dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.pgsql.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(pgsql)

%description pgsql
This is a dynamic shared object (DSO) for PHP that will add PostgreSQL
database support.

%description pgsql -l pl.UTF-8
Moduł PHP umożliwiający dostęp do bazy danych PostgreSQL.

%description pgsql -l pt_BR.UTF-8
Um módulo para aplicações PHP que usam bancos de dados postgresql.

%package posix
Summary:	POSIX extension module for PHP
Summary(pl.UTF-8):	Moduł POSIX dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.posix.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(posix)

%description posix
This is a dynamic shared object (DSO) for PHP that will add POSIX
functions support to PHP.

%description posix -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z funkcji POSIX.

%package pspell
Summary:	pspell extension module for PHP
Summary(pl.UTF-8):	Moduł pspell dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.pspell.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(pspell)

%description pspell
This is a dynamic shared object (DSO) for PHP that will add pspell
support to PHP. It allows to check the spelling of a word and offer
suggestions.

%description pspell -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z pspella. Pozwala on na
sprawdzanie pisowni słowa i sugerowanie poprawek.

%package readline
Summary:	readline extension module for PHP
Summary(pl.UTF-8):	Moduł readline dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.readline.php
Requires:	%{name}-cli = %{epoch}:%{version}-%{release}
Provides:	php(readline)

%description readline
This PHP module adds support for readline functions (only for cli and
cgi SAPIs).

%description readline -l pl.UTF-8
Moduł PHP dodający obsługę funkcji readline (tylko do SAPI cli i cgi).

%package recode
Summary:	recode extension module for PHP
Summary(pl.UTF-8):	Moduł recode dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.recode.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	recode >= 3.5d-3
Provides:	php(recode)

%description recode
This is a dynamic shared object (DSO) for PHP that will add recode
support.

%description recode -l pl.UTF-8
Moduł PHP dodający możliwość konwersji kodowania plików (poprzez
bibliotekę recode).

%package session
Summary:	session extension module for PHP
Summary(pl.UTF-8):	Moduł session dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Suggests:	%{name}-hash = %{epoch}:%{version}-%{release}
Provides:	php(session)

%description session
This is a dynamic shared object (DSO) for PHP that will add session
support.

%description session -l pl.UTF-8
Moduł PHP dodający obsługę sesji.

%package shmop
Summary:	Shared Memory Operations extension module for PHP
Summary(pl.UTF-8):	Moduł shmop dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.shmop.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(shmop)

%description shmop
This is a dynamic shared object (DSO) for PHP that will add Shared
Memory Operations support.

%description shmop -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z pamięci dzielonej.

%package simplexml
Summary:	Simple XML extension module for PHP
Summary(pl.UTF-8):	Moduł prostego rozszerzenia XML dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.simplexml.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-spl = %{epoch}:%{version}-%{release}
Provides:	php(simplexml)

%description simplexml
This is a dynamic shared object (DSO) for PHP that will add Simple XML
support.

%description simplexml -l pl.UTF-8
Moduł PHP dodający obsługę prostego XML-a.

%package snmp
Summary:	SNMP extension module for PHP
Summary(pl.UTF-8):	Moduł SNMP dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.snmp.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-sockets = %{epoch}:%{version}-%{release}
Provides:	php(snmp)

%description snmp
This is a dynamic shared object (DSO) for PHP that will add SNMP
support.

%description snmp -l pl.UTF-8
Moduł PHP dodający obsługę SNMP.

%package soap
Summary:	soap extension module for PHP
Summary(pl.UTF-8):	Moduł soap dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.soap.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(soap)

%description soap
This is a dynamic shared object (DSO) for PHP that will add SOAP/WSDL
support.

%description soap -l pl.UTF-8
Moduł PHP dodający obsługę SOAP/WSDL.

%package sockets
Summary:	sockets extension module for PHP
Summary(pl.UTF-8):	Moduł socket dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.sockets.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sockets)

%description sockets
This is a dynamic shared object (DSO) for PHP that will add sockets
support.

%description sockets -l pl.UTF-8
Moduł PHP dodający obsługę gniazdek.

%package spl
Summary:	Standard PHP Library module for PHP
Summary(pl.UTF-8):	Moduł SPL dla PHP
Group:		Libraries
URL:		http://php.net/manual/en/book.spl.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pcre = %{epoch}:%{version}-%{release}
Requires:	%{name}-simplexml = %{epoch}:%{version}-%{release}
Provides:	php(spl)

%description spl
This is a dynamic shared object (DSO) for PHP that will add Standard
PHP Library support.

%description spl -l pl.UTF-8
Moduł PHP dodający obsługę gniazdek.

%package sqlite
Summary:	SQLite extension module for PHP
Summary(pl.UTF-8):	Moduł SQLite dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.sqlite.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Requires:	%{name}-spl = %{epoch}:%{version}-%{release}
Provides:	php(sqlite)

%description sqlite
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server. SQLite is the server. The SQLite library reads and writes
directly to and from the database files on disk.

%description sqlite -l pl.UTF-8
SQLite jest napisaną w C biblioteką implementującą osadzalny silnik
bazodanowy SQL. Program linkujący się z biblioteką SQLite może mieć
dostęp do bazy SQL bez potrzeby uruchamiania dodatkowego procesu
RDBMS.

SQLite to nie klient baz danych - biblioteka nie łączy się z serwerami
baz danych. SQLite sam jest serwerem. Biblioteka SQLite czyta i
zapisuje dane bezpośrednio z/do plików baz danych znajdujących się na
dysku.

%package sybase
Summary:	Sybase DB extension module for PHP
Summary(pl.UTF-8):	Moduł Sybase DB dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sybase)
Obsoletes:	php-sybase-ct
Conflicts:	php-sybase-ct

%description sybase
This is a dynamic shared object (DSO) for PHP that will add Sybase and
MS SQL databases support through SYBDB library. Currently Sybase
module is not maintained. Using Sybase-CT module is recommended
instead.

%description sybase -l pl.UTF-8
Moduł PHP dodający obsługę baz danych Sybase oraz MS SQL poprzez
bibliotekę SYBDB. W chwili obecnej moduł Sybase nie jest wspierany.
Zaleca się używanie modułu Sybase-CT.

%package sybase-ct
Summary:	Sybase-CT extension module for PHP
Summary(pl.UTF-8):	Moduł Sybase-CT dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.sybase.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sybase-ct)
Obsoletes:	php-sybase
Conflicts:	php-sybase

%description sybase-ct
This is a dynamic shared object (DSO) for PHP that will add Sybase and
MS SQL databases support through CT-lib.

%description sybase-ct -l pl.UTF-8
Moduł PHP dodający obsługę baz danych Sybase oraz MS SQL poprzez
CT-lib.

%package sysvmsg
Summary:	SysV msg extension module for PHP
Summary(pl.UTF-8):	Moduł SysV msg dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.sem.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sysvmsg)

%description sysvmsg
This is a dynamic shared object (DSO) for PHP that will add SysV
message queues support.

%description sysvmsg -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z kolejek komunikatów SysV.

%package sysvsem
Summary:	SysV sem extension module for PHP
Summary(pl.UTF-8):	Moduł SysV sem dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.sem.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sysvsem)

%description sysvsem
This is a dynamic shared object (DSO) for PHP that will add SysV
semaphores support.

%description sysvsem -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z semaforów SysV.

%package sysvshm
Summary:	SysV shm extension module for PHP
Summary(pl.UTF-8):	Moduł SysV shm dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.shmop.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sysvshm)

%description sysvshm
This is a dynamic shared object (DSO) for PHP that will add SysV
Shared Memory support.

%description sysvshm -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z pamięci dzielonej SysV.

%package tests
Summary:	Contains unit test files for PHP and extensions
Summary(pl.UTF-8):	Zawiera pliki testów jednostkowych dla PHP i rozszerzeń
Group:		Libraries
URL:		http://qa.php.net/
Requires:	%{name}-cli

%description tests
This package contains unit tests for PHP and it's extensions.

%description tests -l pl.UTF-8
Ten pakiet zawiera pliki testów jednostkowych dla PHP i rozszerzeń

%package tidy
Summary:	Tidy extension module for PHP
Summary(pl.UTF-8):	Moduł Tidy dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.tidy.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	tidy
Provides:	php(tidy)

%description tidy
This is a dynamic shared object (DSO) for PHP that will add Tidy
support.

%description tidy -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z tidy.

%package tokenizer
Summary:	tokenizer extension module for PHP
Summary(pl.UTF-8):	Moduł rozszerzenia tokenizer dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.tokenizer.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(tokenizer)

%description tokenizer
This is a dynamic shared object (DSO) for PHP that will add tokenizer
support.

%description tokenizer -l pl.UTF-8
Moduł PHP dodający obsługę tokenizera do PHP.

%package wddx
Summary:	wddx extension module for PHP
Summary(pl.UTF-8):	Moduł wddx dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.wddx.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
# - wddx doesn't require session as it's disabled at compile time:
#   if HAVE_PHP_SESSION && !defined(COMPILE_DL_SESSION)
#   see also php.spec#rev1.120.2.22
#Requires:	%{name}-session = %{epoch}:%{version}-%{release}
Requires:	%{name}-xml = %{epoch}:%{version}-%{release}
Provides:	php(wddx)

%description wddx
This is a dynamic shared object (DSO) for PHP that will add wddx
support.

%description wddx -l pl.UTF-8
Moduł PHP umożliwiający korzystanie z wddx.

%package xml
Summary:	XML extension module for PHP
Summary(pl.UTF-8):	Moduł XML dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.xml.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(xml)

%description xml
This is a dynamic shared object (DSO) for PHP that will add XML
support. This extension lets you create XML parsers and then define
handlers for different XML events.

%description xml -l pl.UTF-8
Moduł PHP umożliwiający parsowanie plików XML i obsługę zdarzeń
związanych z tymi plikami. Pozwala on tworzyć analizatory XML-a i
następnie definiować procedury obsługi dla różnych zdarzeń XML.

%package xmlreader
Summary:	XML Reader extension module for PHP
Summary(pl.UTF-8):	Moduł XML Reader dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.xmlreader.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Suggests:	%{name}-dom = %{epoch}:%{version}-%{release}
Provides:	php(xmlreader)

%description xmlreader
This is a dynamic shared object (DSO) for PHP that will add XML Reader
support. The XMLReader extension is an XML Pull parser. The reader
acts as a cursor going forward on the document stream and stopping at
each node on the way.

%description xmlreader -l pl.UTF-8
Moduł PHP umożliwiający analizę plików XML w trybie Pull. Czytnik
działa jako kursor przechodzący przez strumień dokumentu i
zatrzymujący się na każdym węźle po drodze.

%package xmlrpc
Summary:	xmlrpc extension module for PHP
Summary(pl.UTF-8):	Moduł xmlrpc dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.xmlrpc.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-xml = %{epoch}:%{version}-%{release}
Provides:	php(xmlrpc)

%description xmlrpc
This is a dynamic shared object (DSO) for PHP that will add XMLRPC
support.

%description xmlrpc -l pl.UTF-8
Moduł PHP dodający obsługę XMLRPC.

%package xmlwriter
Summary:	Fast, non-cached, forward-only means to write XML data
Summary(pl.UTF-8):	Szybka, nie cachowana metoda zapisu danych w formacie XML
Group:		Libraries
URL:		http://www.php.net/manual/en/book.xmlwriter.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(xmlwriter)
Obsoletes:	php-pecl-xmlwriter

%description xmlwriter
This extension wraps the libxml xmlWriter API. Represents a writer
that provides a non-cached, forward-only means of generating streams
or files containing XML data.

%description xmlwriter -l pl.UTF-8
To rozszerzenie obudowuje API xmlWriter z libxml. Reprezentuje obsługę
zapisu dostarczającą nie cachowanych metod generowania strumieni lub
plików zawierających dane XML.

%package xsl
Summary:	xsl extension module for PHP
Summary(pl.UTF-8):	Moduł xsl dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.xsl.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-dom = %{epoch}:%{version}-%{release}
Requires:	libxslt >= 1.0.18
# actually not true, functionality is similar, but API differs
Provides:	php(xsl)
Obsoletes:	php-xslt <= 3:4.3.8-1

%description xsl
This is a dynamic shared object (DSO) for PHP that will add new XSL
support (using libxslt).

%description xsl -l pl.UTF-8
Moduł PHP dodający nową obsługę XSLT (przy użyciu libxslt).

%package zip
Summary:	Zip management extension
Summary(pl.UTF-8):	Zarządzanie archiwami zip
Group:		Libraries
URL:		http://www.php.net/manual/en/book.zip.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(zip)
Obsoletes:	php-pecl-zip

%description zip
Zip is an extension to create, modify and read zip files.

%description zip -l pl.UTF-8
Zip jest rozszerzeniem umożliwiającym tworzenie, modyfikację oraz
odczyt archiwów zip.

%package zlib
Summary:	Zlib extension module for PHP
Summary(pl.UTF-8):	Moduł zlib dla PHP
Group:		Libraries
URL:		http://www.php.net/manual/en/book.zlib.php
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(zlib)

%description zlib
This is a dynamic shared object (DSO) for PHP that will add zlib
compression support to PHP.

%description zlib -l pl.UTF-8
Moduł PHP umożliwiający używanie kompresji zlib.

%prep
%setup -q
# for suhosin patch
%{__sed} -i -e 's,\r$,,' Zend/Zend.dsp Zend/ZendTS.dsp

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

cp php.ini-dist php.ini
%patch10 -p1
# for ac2.53b/am1.6b - AC_LANG_CXX has AM_CONDITIONAL, so cannot be invoked
# conditionally...
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%if %{with system_gd}
%patch19 -p1
%endif
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1

%{?with_versioning:%patch25 -p1}

%if 0
%{__tar} jxf %{SOURCE9}
v=%{SOURCE9} v=${v#*/php-patchset-} v=${v%%-*}
mv $v/$v gentoo-patchset
for a in gentoo-patchset/*.patch; do
	%{__patch} -p1 < $a
done
%endif

%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
#%patch31 -p1
%patch32 -p1
%patch33 -p1
%if "%{pld_release}" != "ac"
%patch34 -p1
%endif
%patch35 -p1

# mysql default charset for mysql/mysql/pdo-mysql extensions
%patch36 -p1
%patch37 -p0
%patch38 -p0

%patch39 -p1

%if %{with fpm}
%patch40 -p1
%patch41 -p1
%patch42 -p1
%endif

%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%if %{with suhosin}
%patch47 -p1
%endif
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1

# conflict seems to be resolved by recode patches
rm -f ext/recode/config9.m4

# remove all bundled libraries not to link with them accidentally
#rm -rf ext/sqlite/libsqlite
#rm -rf ext/bcmath/libbcmath
#rm -rf ext/date/lib
#rm -rf ext/dba/libcdb
#rm -rf ext/dba/libflatfile
#rm -rf ext/dba/libinifile
#rm -rf ext/gd/libgd
#rm -rf ext/mbstring/libmbfl
#rm -rf ext/mbstring/oniguruma
rm -rf ext/pcre/pcrelib
rm -rf ext/pdo_sqlite/sqlite
#rm -rf ext/soap/interop
%if %{with system_xmlrpc_epi}
rm -rf ext/xmlrpc/libxmlrpc
%endif

%ifarch ppc ppc64
# this test hungs on ac-ppc
#mv ext/reflection/tests/007.php{,ignore}
# this test gets killed by itself
mv ext/standard/tests/general_functions/bug39322.phpt{,.broken}
%endif

cp -af Zend/LICENSE{,.Zend}
install -p %{SOURCE13} dep-tests.sh

# disable broken tests
# says just "Terminated" twice and fails
mv sapi/cli/tests/022.phpt{,.broken}

sh -xe %{_sourcedir}/skip-tests.sh

%build
API=$(awk '/#define PHP_API_VERSION/{print $3}' main/php.h)
if [ $API != %{php_api_version} ]; then
	echo "Set %%define php_api_version to $API and re-run."
	exit 1
fi

API=$(awk '/#define ZEND_MODULE_API_NO/{print $3}' Zend/zend_modules.h)
if [ $API != %{zend_module_api} ]; then
	echo "Set %%define zend_module_api to $API and re-run."
	exit 1
fi

API=$(awk '/#define ZEND_EXTENSION_API_NO/{print $3}' Zend/zend_extensions.h)
if [ $API != %{zend_extension_api} ]; then
	echo "Set %%define zend_extension_api to $API and re-run."
	exit 1
fi

export EXTENSION_DIR="%{php_extensiondir}"
if [ ! -f _built-conf ]; then # configure once (for faster debugging purposes)
	rm -f Makefile.{fcgi,fpm,cgi,cli,apxs{1,2}} # now remove Makefile copies
	%{__libtoolize}
	%{__aclocal}
	cp -f /usr/share/automake/config.* .
	./buildconf --force
	touch _built-conf
fi
export PROG_SENDMAIL="/usr/lib/sendmail"

sapis="
%if %{with fcgi}
fcgi
%endif
%if %{with fpm}
fpm
%endif
cgi cli
%if %{with apache1}
apxs1
%endif
%if %{with apache2}
apxs2
%endif
"
for sapi in $sapis; do
	: SAPI $sapi
	[ -f Makefile.$sapi ] && continue # skip if already configured (for faster debugging purposes)

	sapi_args=''
	case $sapi in
	cgi)
		sapi_args='--disable-cli --enable-discard-path --enable-force-cgi-redirect'
		;;
	cli)
		sapi_args='--disable-cgi'
		;;
	fcgi)
		sapi_args='--disable-cli --enable-fastcgi --enable-force-cgi-redirect'
		;;
	fpm)
		sapi_args='--disable-cli --enable-fastcgi --enable-force-cgi-redirect --enable-fpm'
		;;
	apxs1)
		ver=$(rpm -q --qf '%{V}' apache1-devel)
		sapi_args="--disable-cli --with-apxs=%{apxs1} --with-apache-version=$ver"
		;;
	apxs2)
		ver=$(rpm -q --qf '%{V}' apache-devel)
		sapi_args="--disable-cli --with-apxs2=%{apxs2} --with-apache-version=$ver"
		;;
	esac

	%configure \
	$sapi_args \
%if "%{!?configure_cache:0}%{?configure_cache}" == "0"
	--cache-file=config.cache \
%endif
	--with-libdir=%{_lib} \
	--with-config-file-path=%{_sysconfdir} \
	--with-config-file-scan-dir=%{_sysconfdir}/conf.d \
	--with-exec-dir=%{_bindir} \
	--%{!?debug:dis}%{?debug:en}able-debug \
	%{?with_zts:--enable-maintainer-zts} \
	%{?with_suhosin:--enable-suhosin} \
	%{?with_zend_multibyte:--enable-zend-multibyte} \
	--enable-inline-optimization \
	--enable-bcmath=shared \
	--enable-calendar=shared \
	--enable-ctype=shared \
	--enable-dba=shared \
	--enable-dom=shared \
	--enable-exif=shared \
	--enable-ftp=shared \
	--enable-gd-native-ttf \
	%{?with_gd_jis_conv:--enable-gd-jis-conv} \
	--enable-libxml \
	--enable-magic-quotes \
	--enable-mbstring=%{?!with_zend_multibyte:shared,}all \
	--enable-mbregex \
	--enable-pcntl=shared \
	--enable-pdo=shared \
	--enable-json=shared \
	--enable-hash=shared \
	--enable-xmlwriter=shared \
%if %{with fpm}
	--with-fpm-conf=%{_sysconfdir}/fpm.conf \
	--with-fpm-log=/var/log/fpm.log \
	--with-fpm-pid=/var/run/php/fpm.pid \
%endif
%if %{with mssql} || %{with sybase} || %{with sybase_ct}
	--with-pdo-dblib=shared \
%endif
%if %{with interbase} && !%{with interbase_inst}
	--with-pdo-firebird=shared,/usr \
%endif
	--with-pdo-mysql=shared \
	%{?with_oci8:--with-pdo-oci=shared} \
	%{?with_odbc:--with-pdo-odbc=shared,unixODBC,/usr} \
	%{?with_pgsql:--with-pdo-pgsql=shared} \
	%{?with_sqlite:--with-pdo-sqlite=shared,/usr} \
	--enable-posix=shared \
	--enable-reflection \
	--enable-shared \
	--enable-session=shared \
	--enable-shmop=shared \
	--enable-simplexml=shared \
	--enable-spl=shared \
	--enable-sysvmsg=shared \
	--enable-sysvsem=shared \
	--enable-sysvshm=shared \
	--enable-safe-mode \
	--enable-soap=shared \
	--enable-sockets=shared \
	--enable-tokenizer=shared \
	--enable-ucd-snmp-hack \
	%{?with_wddx:--enable-wddx=shared} \
	--enable-xml=shared \
	--enable-xmlreader=shared \
	--with-bz2=shared \
	%{!?with_curl:--without-curl}%{?with_curl:--with-curl=shared} \
	--with-db4 \
	--enable-dbase=shared \
	--without-libexpat-dir \
	%{?with_fdf:--with-fdftk=shared} \
	--with-iconv=shared \
	--with-freetype-dir=shared \
	--with-gettext=shared \
	--with-gd=shared%{?with_system_gd:,/usr} \
	--with-gdbm \
	--with-gmp=shared \
	%{?with_imap:--with-imap=shared --with-imap-ssl} \
	%{?with_interbase:--with-interbase=shared%{!?with_interbase_inst:,/usr}} \
	--with-jpeg-dir=/usr \
	%{?with_ldap:--with-ldap=shared --with-ldap-sasl} \
	--with-mcrypt=shared \
	%{?with_mhash:--with-mhash=shared} \
	%{?with_mime_magic:--with-mime-magic=shared,%{magic_mime}}%{!?with_mime_magic:--disable-mime-magic} \
	%{?with_ming:--with-ming=shared} \
	%{?with_mm:--with-mm} \
	%{?with_mssql:--with-mssql=shared} \
	--with-mysql=shared,/usr \
	--with-mysql-sock=/var/lib/mysql/mysql.sock \
	%{?with_mysqli:--with-mysqli=shared} \
	--with-ncurses=shared \
	%{?with_oci8:--with-oci8=shared} \
	%{?with_openssl:--with-openssl=shared} \
	--with-kerberos \
	%{!?with_pcre:--without-pcre-regex}%{?with_pcre:--with-pcre-regex=shared,/usr} \
	%{!?with_filter:--disable-filter}%{?with_filter:--enable-filter=shared} \
	--with-pear=%{php_pear_dir} \
	%{!?with_pgsql:--without-pgsql}%{?with_pgsql:--with-pgsql=shared,/usr} \
	--with-png-dir=/usr \
	%{?with_pspell:--with-pspell=shared} \
	--with-readline=shared \
	%{?with_recode:--with-recode=shared} \
	--with-regex=php \
	%{?with_snmp:--with-snmp=shared} \
	%{?with_sybase:--with-sybase=shared,/usr} \
	%{?with_sybase_ct:--with-sybase-ct=shared,/usr} \
	%{?with_sqlite:--with-sqlite=shared,/usr --enable-sqlite-utf8} \
	--with-t1lib=shared \
	%{?with_tidy:--with-tidy=shared} \
	%{?with_odbc:--with-unixODBC=shared,/usr} \
	%{!?with_xmlrpc:--without-xmlrpc}%{?with_xmlrpc:--with-xmlrpc=shared%{?with_system_xmlrpc_epi:,/usr}} \
	--with-xsl=shared \
	--with-zlib=shared \
	--with-zlib-dir=shared,/usr \
	--enable-zip=shared,/usr \

	cp -f Makefile Makefile.$sapi
	cp -f main/php_config.h php_config.h.$sapi
	cp -f config.log config.log.$sapi
done

# as we build each SAPI in own make, adjust php-config.in forehead
sapis=$(awk '/^PHP_SAPI = /{print $3}' Makefile.* | sort -u | xargs)
sed -i -e "s,@PHP_INSTALLED_SAPIS@,$sapis," "scripts/php-config.in"

# must make this first, so modules can link against it.
%{__make} libphp_common.la
%{__make} build-modules

%if %{with apache1}
%{__make} libtool-sapi LIBTOOL_SAPI=sapi/apache/libphp5.la -f Makefile.apxs1
%endif

%if %{with apache2}
%{__make} libtool-sapi LIBTOOL_SAPI=sapi/apache2handler/libphp5.la -f Makefile.apxs2
%endif

# CGI
cp -af php_config.h.cgi main/php_config.h
rm -rf sapi/cgi/.libs sapi/cgi/*.lo
%{__make} sapi/cgi/php-cgi -f Makefile.cgi
[ "$(echo '<?=php_sapi_name();' | ./sapi/cgi/php-cgi -qn)" = cgi ] || exit 1

# FCGI
%if %{with fcgi}
cp -af php_config.h.fcgi main/php_config.h
rm -rf sapi/cgi/.libs sapi/cgi/*.lo
%{__make} sapi/cgi/php-cgi -f Makefile.fcgi
cp -r sapi/cgi sapi/fcgi
[ "$(echo '<?=php_sapi_name();' | ./sapi/fcgi/php-cgi -qn)" = cgi-fcgi ] || exit 1
%endif

%if %{with fpm}
cp -af php_config.h.fpm main/php_config.h
rm -rf sapi/cgi/.libs sapi/cgi/*.lo
%{__make} sapi/cgi/php-cgi -f Makefile.fpm
cp -r sapi/cgi sapi/fpm
[ "$(echo '<?=php_sapi_name();' | ./sapi/fpm/php-cgi -qn)" = cgi-fcgi ] || exit 1
%endif

# CLI
cp -af php_config.h.cli main/php_config.h
%{__make} sapi/cli/php -f Makefile.cli
[ "$(echo '<?=php_sapi_name();' | ./sapi/cli/php -n)" = cli ] || exit 1

# check for stupid xml parse breakage where &lt; and &gt; just get lost in parse result
./sapi/cli/php -n -dextension_dir=modules -dextension=xml.so -r '$p = xml_parser_create(); xml_parse_into_struct($p, "<x>&lt;</x>", $vals, $index); exit((int )empty($vals[0]["value"]));'

# Generate stub .ini files for each extension
rm -rf conf.d
install -d conf.d
generate_inifiles() {
	for so in modules/*.so; do
		mod=$(basename $so .so)
		conf="$mod.ini"
		# xml needs to be loaded before wddx
		[ "$mod" = "wddx" ] && conf="xml_$mod.ini"
		# pre needs to be loaded before SPL
		[ "$mod" = "pcre" ] && conf="PCRE.ini"
		# spl needs to be loaded before mysqli
		[ "$mod" = "spl" ] && conf="SPL.ini"
		echo "+ $conf"
		cat > conf.d/$conf <<-EOF
			; Enable $mod extension module
			extension=$mod.so
		EOF
	done
}
generate_inifiles

# Check that the module inner-dependencies are intact
PHP=./sapi/cli/php EXTENSION_DIR=modules CONFIG_DIR=conf.d ./dep-tests.sh > dep-tests.log
if grep -v OK dep-tests.log; then
	echo >&2 "The results above were not expected"
	exit 1
fi


%if %{with tests}
# Run tests, using the CLI SAPI
cp -af php_config.h.cli main/php_config.h
cp -af Makefile.cli Makefile
# sybase modules collide, remove one
%{__sed} -i -e '/^PHP_MODULES/s,\$(phplibdir)/sybase_ct.la,,' Makefile

cat <<'EOF' > run-tests.sh
#!/bin/sh
export NO_INTERACTION=1 REPORT_EXIT_STATUS=1 MALLOC_CHECK_=2
unset TZ LANG LC_ALL || :
%{__make} test \
	EXTENSION_DIR=. \
	PHP_TEST_SHARED_SYSTEM_EXTENSIONS= \
	RUN_TESTS_SETTINGS="-q $*"
EOF
chmod +x run-tests.sh
./run-tests.sh -w failed.log -s test.log

# collect failed tests into cleanup script used in prep.
sed -ne '/FAILED TEST SUMMARY/,/^===/p' test.log | sed -e '1,/^---/d;/^===/,$d' > tests-failed.log
sed -ne '/\[.*\]/{s/\(.*\) \[\(.*\)\]/# \1\nmv \2{,.skip}/p}' tests-failed.log \
	>> %{_sourcedir}/skip-tests.sh

failed=$(wc -l < tests-failed.log)
if [ "$failed" != 0 ]; then
	exit 1
fi
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/{php,apache{,1}},%{_sysconfdir}/{apache,cgi}} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_bindir}} \
	$RPM_BUILD_ROOT/etc/{apache/conf.d,httpd/conf.d} \
	$RPM_BUILD_ROOT%{_mandir}/man1 \

# install the Apache modules' files
%{__make} install-headers install-build install-modules install-programs \
	INSTALL_ROOT=$RPM_BUILD_ROOT

# install Apache1 DSO module
%if %{with apache1}
libtool --silent --mode=install install sapi/apache/libphp5.la $RPM_BUILD_ROOT%{_libdir}/apache1
%endif

# install Apache2 DSO module
%if %{with apache2}
libtool --silent --mode=install install sapi/apache2handler/libphp5.la $RPM_BUILD_ROOT%{_libdir}/apache
%endif

libtool --silent --mode=install install libphp_common.la $RPM_BUILD_ROOT%{_libdir}
# fix install paths, avoid evil rpaths
sed -i -e "s|^libdir=.*|libdir='%{_libdir}'|" $RPM_BUILD_ROOT%{_libdir}/libphp_common.la
# better solution?
sed -i -e 's|libphp_common.la|$(libdir)/libphp_common.la|' $RPM_BUILD_ROOT%{_libdir}/php/build/acinclude.m4

# install CGI
libtool --silent --mode=install install sapi/cgi/php-cgi $RPM_BUILD_ROOT%{_bindir}/php.cgi

# install FCGI
%if %{with fcgi}
libtool --silent --mode=install install sapi/fcgi/php-cgi $RPM_BUILD_ROOT%{_bindir}/php.fcgi
%endif

# install FCGI PM
%if %{with fpm}
libtool --silent --mode=install install sapi/fpm/php-cgi $RPM_BUILD_ROOT%{_bindir}/php.fpm
%{__make} install-fpm -f Makefile.fpm \
	INSTALL_ROOT=$RPM_BUILD_ROOT
install %{SOURCE10} $RPM_BUILD_ROOT/etc/rc.d/init.d/php-fpm
install -d $RPM_BUILD_ROOT/etc/logrotate.d
install %{SOURCE11} $RPM_BUILD_ROOT/etc/logrotate.d/php-fpm
%endif

# install CLI
libtool --silent --mode=install install sapi/cli/php $RPM_BUILD_ROOT%{_bindir}/php.cli
install sapi/cli/php.1 $RPM_BUILD_ROOT%{_mandir}/man1/php.1
echo ".so php.1" >$RPM_BUILD_ROOT%{_mandir}/man1/php.cli.1

ln -sf php.cli $RPM_BUILD_ROOT%{_bindir}/php

sed -e 's#%{_prefix}/lib/php#%{_libdir}/php#g' php.ini > $RPM_BUILD_ROOT%{_sysconfdir}/php.ini
%if %{with fcgi}
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/php-cgi-fcgi.ini
%endif
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/php-cgi.ini
install %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/php-cli.ini
install %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/browscap.ini

%if %{with apache1}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/apache/conf.d/70_mod_php.conf
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/php-apache.ini
rm -f $RPM_BUILD_ROOT%{_libdir}/apache1/libphp5.la
%endif

%if %{with apache2}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/httpd/conf.d/70_mod_php.conf
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/php-apache2handler.ini
rm -f $RPM_BUILD_ROOT%{_libdir}/apache/libphp5.la
%endif

install -d $RPM_BUILD_ROOT%{_sysconfdir}/conf.d
cp -a conf.d/*.ini $RPM_BUILD_ROOT%{_sysconfdir}/conf.d

# per SAPI ini directories
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{cgi,cli,cgi-fcgi,apache,apache2handler}.d

# for CLI SAPI only
mv $RPM_BUILD_ROOT%{_sysconfdir}/{conf.d/{ncurses,readline}.ini,cli.d}

# use system automake and {lib,sh}tool
%if "%{pld_release}" != "ac"
	ln -snf /usr/share/automake/config.{guess,sub} $RPM_BUILD_ROOT%{_libdir}/php/build
	for i in libtool.m4 lt~obsolete.m4 ltoptions.m4 ltsugar.m4 ltversion.m4; do
		ln -snf %{_aclocaldir}/${i} $RPM_BUILD_ROOT%{_libdir}/php/build
	done
	ln -snf %{_datadir}/libtool/config/ltmain.sh $RPM_BUILD_ROOT%{_libdir}/php/build
%else
	ln -snf %{_aclocaldir}/libtool.m4 $RPM_BUILD_ROOT%{_libdir}/php/build
	ln -snf %{_datadir}/libtool/ltmain.sh $RPM_BUILD_ROOT%{_libdir}/php/build
%endif
ln -snf %{_bindir}/shtool $RPM_BUILD_ROOT%{_libdir}/php/build

# as a result of ext/pcre/pcrelib removal in %%prep, ext/pcre/php_pcre.h
# isn't installed by install-headers make target, we do it manually here.
# this header file is required by e.g. filter PECL extension
install -D ext/pcre/php_pcre.h $RPM_BUILD_ROOT%{_includedir}/php/ext/pcre/php_pcre.h
# for php-pecl-mailparse
install -d $RPM_BUILD_ROOT%{_includedir}/php/ext/mbstring
cp -a ext/mbstring/libmbfl/mbfl/*.h $RPM_BUILD_ROOT%{_includedir}/php/ext/mbstring

# tests
install -d $RPM_BUILD_ROOT%{php_data_dir}/tests/php
install -p run-tests.php $RPM_BUILD_ROOT%{php_data_dir}/tests/php/run-tests.php
cp -a tests/* $RPM_BUILD_ROOT%{php_data_dir}/tests/php

%clean
rm -rf $RPM_BUILD_ROOT

%post -n apache1-mod_php
if [ "$1" = "1" ]; then
	%service -q apache restart
fi

%postun -n apache1-mod_php
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%post -n apache-mod_php
if [ "$1" = "1" ]; then
	%service -q httpd restart
fi

%postun -n apache-mod_php
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%pre fpm
%useradd -u 51 -r -s /bin/false -c "HTTP User" -g http http

%post fpm
/sbin/chkconfig --add php-fpm
%service php-fpm restart

%preun fpm
if [ "$1" = 0 ]; then
	%service php-fpm stop
	/sbin/chkconfig --del php-fpm
fi

%postun fpm
if [ "$1" = "0" ]; then
	%userremove http
fi

%post	common -p /sbin/ldconfig
%postun	common -p /sbin/ldconfig

%posttrans common
# minimizing apache restarts logics. we restart webserver:
#
# 1. at the end of transaction. (posttrans, feature from rpm 4.4.2)
# 2. first install of extension (post: $1 = 1)
# 2. uninstall of extension (postun: $1 == 0)
#
# the strict internal deps between extensions (and apache modules) and
# common package are very important for all this to work.

# restart webserver at the end of transaction
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/conf.d/??_mod_php.conf ] || %service -q httpd restart

%if %{with apache1}
%triggerpostun -n apache1-mod_php -- php < 4:5.0.4-9.11
sed -i -e '
	/^AddType application\/x-httpd-php \.php/s,^,#,
	/^\(Add\|Load\)Module.*php5\.\(so\|c\)/d
' /etc/apache/apache.conf
%service -q apache restart
%endif

%if %{with apache2}
%triggerpostun -n apache-mod_php -- php < 4:5.0.4-7.1, php < 4:5.0.4-7.1
# for fixed php-SAPI.ini, the poor php-apache.ini was never read for apache2
if [ -f %{_sysconfdir}/php-apache.ini.rpmsave ]; then
	cp -f %{_sysconfdir}/php-apache2handler.ini{,.rpmnew}
	mv -f %{_sysconfdir}/php-apache.ini.rpmsave %{_sysconfdir}/php-apache2handler.ini
fi
%endif

# common macros called at extension post/postun scriptlet
%define	extension_scripts() \
%post %1 \
if [ "$1" = "1" ]; then \
	%php_webserver_restart \
fi \
\
%postun %1 \
if [ "$1" = "0" ]; then \
	%php_webserver_restart \
fi
%{nil}

# extension scripts defines
%extension_scripts bcmath
%extension_scripts bz2
%extension_scripts calendar
%extension_scripts ctype
%extension_scripts curl
%extension_scripts dba
%extension_scripts dbase
%extension_scripts dom
%extension_scripts exif
%extension_scripts fdf
%extension_scripts filter
%extension_scripts ftp
%extension_scripts gd
%extension_scripts gettext
%extension_scripts gmp
%extension_scripts hash
%extension_scripts iconv
%extension_scripts imap
%extension_scripts interbase
%extension_scripts json
%extension_scripts ldap
%extension_scripts mbstring
%extension_scripts mcrypt
%extension_scripts mhash
%extension_scripts mime_magic
%extension_scripts ming
%extension_scripts mssql
%extension_scripts mysql
%extension_scripts mysqli
%extension_scripts oci8
%extension_scripts odbc
%extension_scripts openssl
%extension_scripts pcre
%extension_scripts pdo-dblib
%extension_scripts pdo-firebird
%extension_scripts pdo-mysql
%extension_scripts pdo-odbc
%extension_scripts pdo-pgsql
%extension_scripts pdo-sqlite
%extension_scripts pgsql
%extension_scripts posix
%extension_scripts pspell
%extension_scripts recode
%extension_scripts session
%extension_scripts shmop
%extension_scripts snmp
%extension_scripts soap
%extension_scripts sockets
%extension_scripts spl
%extension_scripts sqlite
%extension_scripts sybase
%extension_scripts sybase-ct
%extension_scripts sysvmsg
%extension_scripts sysvsem
%extension_scripts sysvshm
%extension_scripts tidy
%extension_scripts tokenizer
%extension_scripts wddx
%extension_scripts xml
%extension_scripts xmlreader
%extension_scripts xmlrpc
%extension_scripts xmlwriter
%extension_scripts xsl
%extension_scripts zip
%extension_scripts zlib

%triggerun bcmath -- %{name}-bcmath < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*bcmath\.so/d' %{_sysconfdir}/php.ini

%triggerun calendar -- %{name}-calendar < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*calendar\.so/d' %{_sysconfdir}/php.ini

%triggerun ctype -- %{name}-ctype < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ctype\.so/d' %{_sysconfdir}/php.ini

%triggerun curl -- %{name}-curl < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*curl\.so/d' %{_sysconfdir}/php.ini

%triggerun dba -- %{name}-dba < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*dba\.so/d' %{_sysconfdir}/php.ini

%triggerun dbase -- %{name}-dbase < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*dbase\.so/d' %{_sysconfdir}/php.ini

%triggerun dom -- %{name}-dom < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*dom\.so/d' %{_sysconfdir}/php.ini

%triggerun exif -- %{name}-exif < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*exif\.so/d' %{_sysconfdir}/php.ini

%triggerun fdf -- %{name}-fdf < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*fdf\.so/d' %{_sysconfdir}/php.ini

%triggerun ftp -- %{name}-ftp < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ftp\.so/d' %{_sysconfdir}/php.ini

%triggerun gd -- %{name}-gd < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*gd\.so/d' %{_sysconfdir}/php.ini

%triggerun gettext -- %{name}-gettext < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*gettext\.so/d' %{_sysconfdir}/php.ini

%triggerun gmp -- %{name}-gmp < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*gmp\.so/d' %{_sysconfdir}/php.ini

%triggerun iconv -- %{name}-iconv < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*iconv\.so/d' %{_sysconfdir}/php.ini

%triggerun imap -- %{name}-imap < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*imap\.so/d' %{_sysconfdir}/php.ini

%triggerun interbase -- %{name}-interbase < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*interbase\.so/d' %{_sysconfdir}/php.ini

%triggerun ldap -- %{name}-ldap < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ldap\.so/d' %{_sysconfdir}/php.ini

%triggerun mbstring -- %{name}-mbstring < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mbstring\.so/d' %{_sysconfdir}/php.ini

%triggerun mcrypt -- %{name}-mcrypt < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mcrypt\.so/d' %{_sysconfdir}/php.ini

%triggerun mhash -- %{name}-mhash < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mhash\.so/d' %{_sysconfdir}/php.ini

%triggerun mime_magic -- %{name}-mime_magic < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mime_magic\.so/d' %{_sysconfdir}/php.ini

%triggerun ming -- %{name}-ming < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ming\.so/d' %{_sysconfdir}/php.ini

%triggerun mssql -- %{name}-mssql < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mssql\.so/d' %{_sysconfdir}/php.ini

%triggerun mysql -- %{name}-mysql < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mysql\.so/d' %{_sysconfdir}/php.ini

%triggerun ncurses -- %{name}-ncurses < 4:5.1.2-9.5
if [ -f %{_sysconfdir}/php-cgi.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ncurses\.so/d' %{_sysconfdir}/php-cgi.ini
fi
if [ -f %{_sysconfdir}/php-cli.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ncurses\.so/d' %{_sysconfdir}/php-cli.ini
fi

%triggerun mysqli -- %{name}-mysqli < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mysqli\.so/d' %{_sysconfdir}/php.ini

%triggerun oci8 -- %{name}-oci8 < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*oci8\.so/d' %{_sysconfdir}/php.ini

%triggerun odbc -- %{name}-odbc < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*odbc\.so/d' %{_sysconfdir}/php.ini

%triggerun openssl -- %{name}-openssl < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*openssl\.so/d' %{_sysconfdir}/php.ini

%triggerun pcntl -- %{name}-pcntl < 4:5.1.2-9.5
if [ -f %{_sysconfdir}/php-cgi.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pcntl\.so/d' %{_sysconfdir}/php-cgi.ini
fi
if [ -f %{_sysconfdir}/php-cli.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pcntl\.so/d' %{_sysconfdir}/php-cli.ini
fi

%triggerun pcre -- %{name}-pcre < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pcre\.so/d' %{_sysconfdir}/php.ini

%triggerun pgsql -- %{name}-pgsql < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pgsql\.so/d' %{_sysconfdir}/php.ini

%triggerun posix -- %{name}-posix < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*posix\.so/d' %{_sysconfdir}/php.ini

%triggerun pspell -- %{name}-pspell < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pspell\.so/d' %{_sysconfdir}/php.ini

%triggerun readline -- %{name}-readline < 4:5.1.2-9.5
if [ -f %{_sysconfdir}/php-cgi.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*readline\.so/d' %{_sysconfdir}/php-cgi.ini
fi
if [ -f %{_sysconfdir}/php-cli.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*readline\.so/d' %{_sysconfdir}/php-cli.ini
fi

%triggerun recode -- %{name}-recode < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*recode\.so/d' %{_sysconfdir}/php.ini

%triggerun session -- %{name}-session < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*session\.so/d' %{_sysconfdir}/php.ini

%triggerun shmop -- %{name}-shmop < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*shmop\.so/d' %{_sysconfdir}/php.ini

%triggerun snmp -- %{name}-snmp < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*snmp\.so/d' %{_sysconfdir}/php.ini

%triggerun soap -- %{name}-soap < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*soap\.so/d' %{_sysconfdir}/php.ini

%triggerun sockets -- %{name}-sockets < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sockets\.so/d' %{_sysconfdir}/php.ini

%triggerun sqlite -- %{name}-sqlite < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sqlite\.so/d' %{_sysconfdir}/php.ini

%triggerun sybase -- %{name}-sybase < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sybase\.so/d' %{_sysconfdir}/php.ini

%triggerun sybase-ct -- %{name}-sybase-ct < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sybase-ct\.so/d' %{_sysconfdir}/php.ini

%triggerun sysvmsg -- %{name}-sysvmsg < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sysvmsg\.so/d' %{_sysconfdir}/php.ini

%triggerun sysvsem -- %{name}-sysvsem < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sysvsem\.so/d' %{_sysconfdir}/php.ini

%triggerun sysvshm -- %{name}-sysvshm < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sysvshm\.so/d' %{_sysconfdir}/php.ini

%triggerun tidy -- %{name}-tidy < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*tidy\.so/d' %{_sysconfdir}/php.ini

%triggerun wddx -- %{name}-wddx < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*wddx\.so/d' %{_sysconfdir}/php.ini

%triggerun xml -- %{name}-xml < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*xml\.so/d' %{_sysconfdir}/php.ini

%triggerun xmlrpc -- %{name}-xmlrpc < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*xmlrpc\.so/d' %{_sysconfdir}/php.ini

%triggerun xsl -- %{name}-xsl < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*xsl\.so/d' %{_sysconfdir}/php.ini

%triggerun zlib -- %{name}-zlib < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*zlib\.so/d' %{_sysconfdir}/php.ini

%if %{with apache1}
%files -n apache1-mod_php
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/apache/conf.d/*_mod_php.conf
%dir %{_sysconfdir}/apache.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php-apache.ini
%attr(755,root,root) %{_libdir}/apache1/libphp5.so
%endif

%if %{with apache2}
%files -n apache-mod_php
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/httpd/conf.d/*_mod_php.conf
%dir %{_sysconfdir}/apache2handler.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php-apache2handler.ini
%attr(755,root,root) %{_libdir}/apache/libphp5.so
%endif

%if %{with fcgi}
%files fcgi
%defattr(644,root,root,755)
%doc sapi/cgi/README.FastCGI
%dir %{_sysconfdir}/cgi-fcgi.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php-cgi-fcgi.ini
%attr(755,root,root) %{_bindir}/php.fcgi
%endif

%files cgi
%defattr(644,root,root,755)
%dir %{_sysconfdir}/cgi.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php-cgi.ini
%attr(755,root,root) %{_bindir}/php.cgi

%files cli
%defattr(644,root,root,755)
%dir %{_sysconfdir}/cli.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php-cli.ini
%attr(755,root,root) %{_bindir}/php.cli
%{_mandir}/man1/php.1*
%{_mandir}/man1/php.cli.1*

%files program
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/php

%if %{with fpm}
%files fpm
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/fpm.conf
%attr(755,root,root) %{_bindir}/php.fpm
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/php-fpm
%attr(754,root,root) /etc/rc.d/init.d/php-fpm
%endif

%files common
%defattr(644,root,root,755)
%doc php.ini-*
%doc CREDITS Zend/ZEND_CHANGES
%doc LICENSE Zend/LICENSE.Zend EXTENSIONS NEWS TODO*
%doc README.PHP4-TO-PHP5-THIN-CHANGES README.UPDATE_5_2

%dir %{_sysconfdir}
%dir %{_sysconfdir}/conf.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/php.ini
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/browscap.ini
%attr(755,root,root) %{_libdir}/libphp_common-*.so
%dir %{php_extensiondir}

%files devel
%defattr(644,root,root,755)
%doc README.UNIX-BUILD-SYSTEM
%doc README.EXT_SKEL README.SELF-CONTAINED-EXTENSIONS
%doc CODING_STANDARDS README.EXTENSIONS README.PARAMETER_PARSING_API README.STREAMS
%doc README.SUBMITTING_PATCH README.TESTING README.TESTING2
%attr(755,root,root) %{_bindir}/phpize
%attr(755,root,root) %{_bindir}/php-config
%attr(755,root,root) %{_libdir}/libphp_common.so
%{_libdir}/libphp_common.la
%{_includedir}/php
%{_libdir}/php/build
%{_mandir}/man1/php-config.1*
%{_mandir}/man1/phpize.1*

%files bcmath
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/bcmath.ini
%attr(755,root,root) %{php_extensiondir}/bcmath.so

%files bz2
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/bz2.ini
%attr(755,root,root) %{php_extensiondir}/bz2.so

%files calendar
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/calendar.ini
%attr(755,root,root) %{php_extensiondir}/calendar.so

%files ctype
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/ctype.ini
%attr(755,root,root) %{php_extensiondir}/ctype.so

%if %{with curl}
%files curl
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/curl.ini
%attr(755,root,root) %{php_extensiondir}/curl.so
%endif

%files dba
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/dba.ini
%attr(755,root,root) %{php_extensiondir}/dba.so

%files dbase
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/dbase.ini
%attr(755,root,root) %{php_extensiondir}/dbase.so

%files dom
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/dom.ini
%attr(755,root,root) %{php_extensiondir}/dom.so

%if %{with fdf}
%files fdf
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/fdf.ini
%attr(755,root,root) %{php_extensiondir}/fdf.so
%endif

%if %{with filter}
%files filter
%defattr(644,root,root,755)
%doc README.input_filter
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/filter.ini
%attr(755,root,root) %{php_extensiondir}/filter.so
%endif

%files exif
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/exif.ini
%attr(755,root,root) %{php_extensiondir}/exif.so

%files ftp
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/ftp.ini
%attr(755,root,root) %{php_extensiondir}/ftp.so

%files gd
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/gd.ini
%attr(755,root,root) %{php_extensiondir}/gd.so

%files gettext
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/gettext.ini
%attr(755,root,root) %{php_extensiondir}/gettext.so

%files gmp
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/gmp.ini
%attr(755,root,root) %{php_extensiondir}/gmp.so

%files hash
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/hash.ini
%attr(755,root,root) %{php_extensiondir}/hash.so

%files iconv
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/iconv.ini
%attr(755,root,root) %{php_extensiondir}/iconv.so

%if %{with imap}
%files imap
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/imap.ini
%attr(755,root,root) %{php_extensiondir}/imap.so
%endif

%if %{with interbase}
%files interbase
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/interbase.ini
%attr(755,root,root) %{php_extensiondir}/interbase.so
%endif

%files json
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/json.ini
%attr(755,root,root) %{php_extensiondir}/json.so

%if %{with ldap}
%files ldap
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/ldap.ini
%attr(755,root,root) %{php_extensiondir}/ldap.so
%endif

%if %{without zend_multibyte}
%files mbstring
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mbstring.ini
%attr(755,root,root) %{php_extensiondir}/mbstring.so
%endif

%files mcrypt
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mcrypt.ini
%attr(755,root,root) %{php_extensiondir}/mcrypt.so

%if %{with mhash}
%files mhash
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mhash.ini
%attr(755,root,root) %{php_extensiondir}/mhash.so
%endif

%if %{with mime_magic}
%files mime_magic
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mime_magic.ini
%attr(755,root,root) %{php_extensiondir}/mime_magic.so
%endif

%if %{with ming}
%files ming
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/ming.ini
%attr(755,root,root) %{php_extensiondir}/ming.so
%endif

%if %{with mssql}
%files mssql
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mssql.ini
%attr(755,root,root) %{php_extensiondir}/mssql.so
%endif

%files mysql
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mysql.ini
%attr(755,root,root) %{php_extensiondir}/mysql.so

%if %{with mysqli}
%files mysqli
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/mysqli.ini
%attr(755,root,root) %{php_extensiondir}/mysqli.so
%endif

%files ncurses
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cli.d/ncurses.ini
%attr(755,root,root) %{php_extensiondir}/ncurses.so

%if %{with oci8}
%files oci8
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/oci8.ini
%attr(755,root,root) %{php_extensiondir}/oci8.so
%endif

%if %{with odbc}
%files odbc
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/odbc.ini
%attr(755,root,root) %{php_extensiondir}/odbc.so
%endif

%if %{with openssl}
%files openssl
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/openssl.ini
%attr(755,root,root) %{php_extensiondir}/openssl.so
%endif

%files pcntl
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pcntl.ini
%attr(755,root,root) %{php_extensiondir}/pcntl.so

%if %{with pcre}
%files pcre
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/PCRE.ini
%attr(755,root,root) %{php_extensiondir}/pcre.so
%endif

%files pdo
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pdo.ini
%attr(755,root,root) %{php_extensiondir}/pdo.so

%if %{with mssql} || %{with sybase} || %{with sybase_ct}
%files pdo-dblib
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pdo_dblib.ini
%attr(755,root,root) %{php_extensiondir}/pdo_dblib.so
%endif

%if %{with interbase} && !%{with interbase_inst}
%files pdo-firebird
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pdo_firebird.ini
%attr(755,root,root) %{php_extensiondir}/pdo_firebird.so
%endif

%files pdo-mysql
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pdo_mysql.ini
%attr(755,root,root) %{php_extensiondir}/pdo_mysql.so

%if %{with oci8}
%files pdo-oci
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pdo_oci.ini
%attr(755,root,root) %{php_extensiondir}/pdo_oci.so
%endif

%if %{with odbc}
%files pdo-odbc
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pdo_odbc.ini
%attr(755,root,root) %{php_extensiondir}/pdo_odbc.so
%endif

%if %{with pgsql}
%files pdo-pgsql
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pdo_pgsql.ini
%attr(755,root,root) %{php_extensiondir}/pdo_pgsql.so
%endif

%if %{with sqlite}
%files pdo-sqlite
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pdo_sqlite.ini
%attr(755,root,root) %{php_extensiondir}/pdo_sqlite.so
%endif

%if %{with pgsql}
%files pgsql
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pgsql.ini
%attr(755,root,root) %{php_extensiondir}/pgsql.so
%endif

%files posix
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/posix.ini
%attr(755,root,root) %{php_extensiondir}/posix.so

%if %{with pspell}
%files pspell
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/pspell.ini
%attr(755,root,root) %{php_extensiondir}/pspell.so
%endif

%files readline
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cli.d/readline.ini
%attr(755,root,root) %{php_extensiondir}/readline.so

%if %{with recode}
%files recode
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/recode.ini
%attr(755,root,root) %{php_extensiondir}/recode.so
%endif

%files simplexml
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/simplexml.ini
%attr(755,root,root) %{php_extensiondir}/simplexml.so

%files session
%defattr(644,root,root,755)
%doc ext/session/mod_files.sh
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/session.ini
%attr(755,root,root) %{php_extensiondir}/session.so

%files shmop
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/shmop.ini
%attr(755,root,root) %{php_extensiondir}/shmop.so

%if %{with snmp}
%files snmp
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/snmp.ini
%attr(755,root,root) %{php_extensiondir}/snmp.so
%endif

%files soap
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/soap.ini
%attr(755,root,root) %{php_extensiondir}/soap.so

%files sockets
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sockets.ini
%attr(755,root,root) %{php_extensiondir}/sockets.so

%files spl
%defattr(644,root,root,755)
%doc ext/spl/{CREDITS,README,TODO}
%doc ext/spl/examples
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/SPL.ini
%attr(755,root,root) %{php_extensiondir}/spl.so

%if %{with sqlite}
%files sqlite
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sqlite.ini
%attr(755,root,root) %{php_extensiondir}/sqlite.so
%endif

%if %{with sybase}
%files sybase
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sybase.ini
%attr(755,root,root) %{php_extensiondir}/sybase.so
%endif

%if %{with sybase_ct}
%files sybase-ct
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sybase_ct.ini
%attr(755,root,root) %{php_extensiondir}/sybase_ct.so
%endif

%files sysvmsg
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sysvmsg.ini
%attr(755,root,root) %{php_extensiondir}/sysvmsg.so

%files sysvsem
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sysvsem.ini
%attr(755,root,root) %{php_extensiondir}/sysvsem.so

%files sysvshm
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/sysvshm.ini
%attr(755,root,root) %{php_extensiondir}/sysvshm.so

%files tests
%defattr(644,root,root,755)
%dir %{php_data_dir}/tests
%dir %{php_data_dir}/tests/php
%{php_data_dir}/tests/php/basic
%{php_data_dir}/tests/php/classes
%{php_data_dir}/tests/php/func
%{php_data_dir}/tests/php/lang
%{php_data_dir}/tests/php/output
%{php_data_dir}/tests/php/run-test
%{php_data_dir}/tests/php/security
%{php_data_dir}/tests/php/strings
%{php_data_dir}/tests/php/quicktester.inc
%attr(755,root,root) %{php_data_dir}/tests/php/run-tests.php

%if %{with tidy}
%files tidy
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/tidy.ini
%attr(755,root,root) %{php_extensiondir}/tidy.so
%endif

%files tokenizer
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/tokenizer.ini
%attr(755,root,root) %{php_extensiondir}/tokenizer.so

%if %{with wddx}
%files wddx
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*wddx.ini
%attr(755,root,root) %{php_extensiondir}/wddx.so
%endif

%files xml
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/xml.ini
%attr(755,root,root) %{php_extensiondir}/xml.so

%files xmlreader
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/xmlreader.ini
%attr(755,root,root) %{php_extensiondir}/xmlreader.so

%if %{with xmlrpc}
%files xmlrpc
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/xmlrpc.ini
%attr(755,root,root) %{php_extensiondir}/xmlrpc.so
%endif

%files xmlwriter
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/xmlwriter.ini
%attr(755,root,root) %{php_extensiondir}/xmlwriter.so

%files xsl
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/xsl.ini
%attr(755,root,root) %{php_extensiondir}/xsl.so

%files zip
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/zip.ini
%attr(755,root,root) %{php_extensiondir}/zip.so

%files zlib
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/zlib.ini
%attr(755,root,root) %{php_extensiondir}/zlib.so

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php.spec,v $
Revision 1.805.2.74  2010/10/31 15:41:37  glen
- backport extension loading from 5.3, allows loading permanent modules with full path

Revision 1.805.2.73  2010/10/22 19:32:39  arekm
- rel 4; fix heimdal build

Revision 1.805.2.72  2010/09/06 20:37:53  glen
- rename php-bzip2 -> php-bz2 to match extension name
- provide obsoleted names: php-domxml

Revision 1.805.2.71  2010/08/24 18:16:10  hawk
- fix php-tests-5.2.14-1: req /usr/share/php/tests not found

Revision 1.805.2.70  2010/07/23 17:42:52  shadzik
- rel 1; works for me

Revision 1.805.2.69  2010/07/23 15:33:34  shadzik
- 5.2.14
- rel 0.1

Revision 1.805.2.68  2010/06/23 13:06:02  pawelz
- rel 14

Revision 1.805.2.67  2010/06/23 13:00:02  pawelz
- fcgi P: php(fcgi)

Revision 1.805.2.66  2010/06/13 20:39:59  glen
- snmp tests need NET-SNMP-PASS-MIB from mibs-net-snmp

Revision 1.805.2.65  2010/06/13 19:42:12  glen
- add -tests package
- tidy up tests

Revision 1.805.2.64  2010/06/07 17:57:15  hawk
- release 13

Revision 1.805.2.63  2010/05/16 10:38:56  pawelz
- cgi P: webserver(php) (backported from HEAD, don't blame me ;))
- rel 12

Revision 1.805.2.62  2010/05/10 15:52:30  hawk
- release 11

Revision 1.805.2.61  2010/04/14 10:14:22  glen
- force libxml2 version which fixes xml problems

Revision 1.805.2.60  2010/04/14 09:14:46  glen
- resolve ambiguity of exit()/die() aliases, we want exit code not exit message

Revision 1.805.2.59  2010/04/14 08:23:56  glen
- xml bug stopper

Revision 1.805.2.58  2010/04/13 06:26:05  arekm
- rel 10; accept minus sign in dns names when validating url

Revision 1.805.2.57  2010/04/12 12:36:02  baggins
- rel 9

Revision 1.805.2.56  2010/04/11 05:56:13  arekm
- release 8

Revision 1.805.2.55  2010/03/29 19:15:17  arekm
- rel 7

Revision 1.805.2.54  2010/03/29 08:56:22  arekm
- rel 6; disable ming extension; use external one

Revision 1.805.2.53  2010/03/29 08:39:01  arekm
- rel 5; fix build with new gmp

Revision 1.805.2.52  2010/03/29 07:20:10  arekm
- rel 4

Revision 1.805.2.51  2010/03/29 07:09:12  arekm
- release 3

Revision 1.805.2.50  2010/03/16 10:07:41  glen
- update order for tests to be run with cli sapi config/makefile

Revision 1.805.2.49  2010/03/16 10:05:32  glen
- preamble merges with HEAD

Revision 1.805.2.48  2010/03/05 09:30:52  glen
- conflict with older memcache ext which did not load after session ext; rel 2

Revision 1.805.2.47  2010/02/26 17:41:25  glen
- more caps merges

Revision 1.805.2.46  2010/02/26 17:37:29  glen
- PHP/Apache capitalization merge from HEAD

Revision 1.805.2.45  2010/02/26 08:53:16  adamg
- updated to to 5.2.13

Revision 1.805.2.44  2010/01/28 20:25:07  arekm
- rel 6; libpng fix

Revision 1.805.2.43  2010/01/28 20:00:05  arekm
- rel 5

Revision 1.805.2.42  2010/01/10 23:51:33  hawk
- release 4

Revision 1.805.2.41  2009/12/30 16:00:56  hawk
- restored sybase_ct bcond, it was probably removed by mistake
- release 3

Revision 1.805.2.40  2009/12/21 13:28:01  glen
- provide php-EXTNAME in -common for internal exts; rel 2

Revision 1.805.2.39  2009/12/20 16:13:27  adamg
- updated to 5.2.12

Revision 1.805.2.38  2009/12/14 12:16:49  baggins
- rel 16

Revision 1.805.2.37  2009/12/09 16:03:31  sparky
- BR: pkgconfig

Revision 1.805.2.36  2009/12/09 13:55:10  baggins
- rel 15

Revision 1.805.2.35  2009/12/07 19:12:08  glen
- drag along old deps in -common for "stable" branch; rel 14

Revision 1.805.2.34  2009/12/04 16:22:08  hawk
- make sure we won't break any PHP applications in Titanium due to
  pcre/session/spl separation

Revision 1.805.2.33  2009/12/03 08:15:12  glen
- common: php(ereg)

Revision 1.805.2.32  2009/12/03 07:31:42  glen
- dep-tests: get the sort order same way php loads (ini files sorting); rel 13

Revision 1.805.2.31  2009/12/03 06:42:03  glen
- simplexml requires spl

Revision 1.805.2.30  2009/12/03 06:32:17  glen
- build config fragments in build section

Revision 1.805.2.29  2009/12/02 22:37:03  glen
- core no longer needs to load simplexml.so for self-tests
- fix built sapis in php-config (fixes php-config --php-binary)
- sqlite ext has hard dependency on spl and pdo
- current wddx does not compile session related code due being built shared
- filter ext depends on pcre
- run internal module deps test
- rel 12

Revision 1.805.2.28  2009/12/01 11:05:45  glen
- uid http for fpm; rel 11

Revision 1.805.2.27  2009/11/26 12:56:45  glen
- load pcre before spl; rel 10; LP#487462

Revision 1.805.2.26  2009/11/25 08:53:02  glen
- drop simplexml Suggest spl (requirement from spl side makes loop)

Revision 1.805.2.25  2009/11/25 07:22:25  glen
- spl R: pcre. lp#487462; rel 9

Revision 1.805.2.24  2009/11/12 10:05:58  arekm
- rel 8; fix Cannot load module 'SPL' because required module 'simplexml' is not loaded

Revision 1.805.2.23  2009/10/18 17:04:39  glen
- pdo R spl; rel 7

Revision 1.805.2.22  2009/10/11 18:05:56  glen
- fix magic mime path; rel 6

Revision 1.805.2.21  2009/10/05 09:40:23  glen
- link branch diff generator with .spec

Revision 1.805.2.20  2009/09/29 06:15:17  glen
- enable suhoshin-patch; rel 5

Revision 1.805.2.19  2009/09/29 05:14:25  glen
- fix optional deps

Revision 1.805.2.18  2009/09/29 05:05:52  glen
- shared pcre is back

Revision 1.805.2.17  2009/09/29 04:28:55  glen
- release 4

Revision 1.805.2.16  2009/09/25 12:55:22  glen
- shared spl

Revision 1.805.2.15  2009/09/23 10:40:04  glen
- build simplexml as shared

Revision 1.805.2.14  2009/09/23 07:26:53  glen
- build session as shared; rel 3

Revision 1.805.2.13  2009/09/23 07:23:16  glen
- release 2

Revision 1.805.2.12  2009/09/22 08:53:52  glen
- restore shared -hash

Revision 1.805.2.11  2009/09/18 18:27:27  arekm
- up to 5.2.11 (hash is now merged into common since session requires it)

Revision 1.805.2.10  2009/09/14 10:49:42  arekm
- rel 13; really get rid of expat

Revision 1.805.2.9  2009/09/09 09:06:37  glen
- BR macros for fpm restart

Revision 1.805.2.8  2009/08/28 14:25:26  glen
- magic.mime path distro dependant

Revision 1.805.2.7  2009/08/19 10:30:41  arekm
- rel 12; build fixed

Revision 1.805.2.6  2009/08/19 09:41:51  arekm
- rel 11; fix for bug 48619 (imap segfaults)

Revision 1.805.2.5  2009/08/18 10:22:20  arekm
- rel 10; fix build with autoconf 2.64

Revision 1.805.2.4  2009/08/17 07:17:06  arekm
- current path (/usr/share/misc/magic.mime) for mime

Revision 1.805.2.3  2009/08/07 15:37:22  arekm
- release 9

Revision 1.805.2.2  2009/08/07 06:46:58  arekm
- don't warn about problems with opening /var/run/php since in our setup php won't be able to open it (tmpwatch does session celaning)

Revision 1.805.2.1  2009/07/12 03:17:12  arekm
- release 8

Revision 1.805  2009/07/06 16:41:47  arekm
- sybase change reverted

Revision 1.804  2009/07/06 16:25:36  arekm
- update options (mostly obsolete)

Revision 1.803  2009/07/02 15:42:52  baggins
- rel 6

Revision 1.802  2009/06/30 16:03:45  glen
- release 5

Revision 1.801  2009/06/25 19:51:04  glen
- revert mbstring changes from 5.2.10. php bug #48697; rel 4

Revision 1.800  2009/06/25 18:15:33  glen
- with --enable-zend-multibyte mbstring needs to be linked static:
  Cannot load /etc/apache/modules/libphp5.so into server: /etc/apache/modules/libphp5.so: undefined symbol: php_mb_set_zend_encoding
  so disable it again (and add bcond)

Revision 1.799  2009/06/22 00:28:55  glen
- enable zend-multibyte (see also http://bugs.php.net/bug.php?id=22108); rel 3

Revision 1.798  2009/06/21 17:08:43  glen
- release 2

Revision 1.797  2009/06/20 21:48:53  adamg
- updated to 5.2.10
- security fix for DoS in exif_read_data(), secunia SA35441

Revision 1.796  2009/06/02 13:36:15  arekm
- rel 12; back to previous version because sethandler way breaks MultiViews for php files while addtype doesn't

Revision 1.795  2009/05/25 11:34:42  glen
- pcntl available in all sapis
- remove experimental module warnings (php itself is one big experiment)
- rel 11

Revision 1.794  2009/05/19 16:28:27  glen
- make suhosin patch to apply

Revision 1.793  2009/05/19 11:15:48  glen
- add suhosin patch (bcond off for now)

Revision 1.792  2009/05/04 09:45:49  glen
- make our default config more secure
  http://isc.sans.org/diary.html?storyid=6139
- rel 10

Revision 1.791  2009/03/30 08:49:58  arekm
- rel 9; back to using libxml2 instead of expat since bug 45996 is fixed in 5.2.9 release

Revision 1.790  2009/03/19 16:00:24  glen
- does not require logrotate; rel 8

Revision 1.789  2009/03/19 14:19:40  hawk
- release 7

Revision 1.788  2009/03/19 12:07:01  arekm
- rel 6; disable gd-jis-conv (broken)

Revision 1.787  2009/03/17 12:11:41  arekm
- rel 5; fix system_gd bcond

Revision 1.786  2009/03/17 10:08:46  glen
- add kolab patches (annotations, myrights); rel 4

Revision 1.785  2009/03/16 19:58:57  arekm
- rel 3; use internal gd (enables few more php gd functions)

Revision 1.784  2009/03/16 15:14:49  glen
- cleanup the mess: use %{_sysconfig} only in this spec

Revision 1.783  2009/03/11 17:06:28  qboosh
- df sanity

Revision 1.782  2009/03/09 22:44:34  glen
- release 2

Revision 1.781  2009/03/05 22:03:25  baggins
- proper use of _preserve_env
- cosmetics

Revision 1.780  2009/03/02 13:08:50  glen
- hint for gentoo php-patchset

Revision 1.779  2009/02/27 17:26:21  adamg
- security todos done (fixed between 5.2.6 and 5.2.9

Revision 1.778  2009/02/27 17:23:11  adamg
- patch numbering cleanups

Revision 1.777  2009/02/27 09:17:04  adamg
- updated to 5.2.9 ( fixes CVE-2008-5498 )
- -ini and -fpm patches updated
- -ac and -strtotime-memleak patches dropped (applied upstream),
- commented out gentoo's patchset
- release 1

Revision 1.776  2009/02/23 22:13:30  arekm
- release 9

Revision 1.775  2009/02/12 18:35:54  baggins
- preserve ORACLE_HOME env var if oci8 bcond is on

Revision 1.774  2009/02/12 15:14:58  hawk
- fix for bug #46889, memory leak in strtotime(), from PHP CVS,
  thx to Dariusz Parciak

Revision 1.773  2009/01/28 10:27:48  hawk
- release 7

Revision 1.772  2009/01/23 17:07:32  adamg
- previous commit reverted

Revision 1.771  2009/01/23 16:40:45  adamg
- updated to 1.7.5

Revision 1.770  2009/01/05 14:47:20  glen
- gentoo patchset updated to 5.2.8-r1 (CVE-2008-5498 and other crash fixes); rel 6

Revision 1.769  2009/01/05 14:32:28  glen
- sanitize error output (display_errors=stderr, log_errors=off) so errors are displayed only once to stderr in CLI SAPI; rel 5

Revision 1.768  2009/01/05 13:03:01  glen
- enable track_errors; rel 4

Revision 1.767  2008/12/29 11:06:10  blues
- two security notes (one is not fixed, yet)

Revision 1.766  2008/12/17 12:27:30  glen
- append /usr/share/php to default include path; rel 3

Revision 1.765  2008/12/17 12:13:27  glen
- updated fpm to 0.5.10, dropped -linkflags-clean.patch

Revision 1.764  2008/12/15 22:25:02  glen
- enable fpm for ac

Revision 1.763  2008/12/10 22:14:00  hawk
- release 2

Revision 1.762  2008/12/10 22:00:25  glen
- prep for ac

Revision 1.761  2008/12/09 00:00:16  adamg
- updated to 5.2.8

Revision 1.760  2008/12/08 15:10:25  blues
- security note for 5.2.7

Revision 1.759  2008/12/07 12:13:19  adamg
- release 4

Revision 1.758  2008/12/07 12:11:31  adamg
- bugfix for broken magic_quotes_gpc handling (to be fixed in upcoming
  5.2.8 release)
- drop php-hardening part -- use php-suhosin instead

Revision 1.757  2008/12/07 10:12:03  arekm
- rel 3; don't rely on libtool detection

Revision 1.756  2008/12/06 16:23:32  glen
- pld-th specific conded

Revision 1.755  2008/12/06 11:29:32  arekm
- rel 2; update configure options; force expat for xml extension due to php bug 45996

Revision 1.754  2008/12/06 03:08:52  glen
- my merge to 5.2.7

Revision 1.753  2008/12/05 23:09:30  arekm
- up to 5.2.7 [fixes: SA-06/2008, CVE-2008-5557]

Revision 1.752  2008/12/04 15:09:36  glen
- compat for old libtool, libtool epoch

Revision 1.751  2008/11/20 17:47:40  glen
- fix side effect of --disable-cli disabling pear include path in non-cli sapis; rel 18

Revision 1.750  2008/11/16 18:51:07  glen
- add logrotate to fpm

Revision 1.749  2008/11/16 15:57:18  glen
- fpm subpackage
- install initscript for fpm

Revision 1.748  2008/11/16 15:35:41  glen
- update fpm, daemon startups here, lighttpd can connect to it
- --disable-cli on other sapis

Revision 1.747  2008/11/15 23:10:10  arekm
- release 17

Revision 1.746  2008/11/15 23:06:19  qboosh
- release 16 not epoch 5

Revision 1.745  2008/11/15 23:05:12  arekm
- appropriate comment and ifnarch for fpm

Revision 1.744  2008/11/15 22:57:46  arekm
- rel 5; disable fpm on ppc (missing some asm for ppc)

Revision 1.743  2008/11/15 19:24:37  arekm
- release 15

Revision 1.742  2008/11/08 23:43:23  baggins
- mysqli needs really recent mysql-devel

Revision 1.741  2008/11/06 17:03:21  arekm
- release 14

Revision 1.740  2008/11/03 21:16:04  glen
- php fastcgi process manager patches from http://php-fpm.anight.org/
  fpm itself is unusable due ZTS but other features are nice

Revision 1.739  2008/11/03 13:05:05  glen
- use consistent path to sendmail wrapper

Revision 1.738  2008/11/02 23:34:58  arekm
- rel 13; CVE not checked

Revision 1.737  2008/11/02 23:27:56  arekm
- release 12

Revision 1.736  2008/10/13 12:48:09  blues
- one more security blocker

Revision 1.735  2008/10/13 12:45:57  blues
- security CVE blocker

Revision 1.734  2008/10/12 22:09:07  glen
- package php.1 only in php-cli package

Revision 1.733  2008/10/08 21:32:51  glen
- add bunch of crash patches from gentoo. likely resolves CVE-2008-2371, CVE-2008-2665, CVE-2008-2666
- default charset ini settings for mysql from gentoo
- rel 11

Revision 1.732  2008/09/07 19:13:08  adamg
- release 10 (against libltdl-2.2.6-1)

Revision 1.731  2008/08/29 11:52:53  glen
- release 9

Revision 1.730  2008/08/29 10:25:10  glen
- drop php.gif, zend.gif, packaging reason and license unknown

Revision 1.729  2008/08/27 22:34:46  glen
- release 8 (libfbclient soname)

Revision 1.728  2008/06/16 11:10:14  glen
- AC-branch merge:
  - -iconv needs iconv databases for charset conversion
  - require same arch gconv modules for -iconv

Revision 1.727  2008/06/16 09:13:47  arekm
- rel 7; properly link m4 macros

Revision 1.726  2008/06/16 08:52:30  arekm
- correct last changelog entry

Revision 1.725  2008/06/16 08:48:25  arekm
- rel 6; build with freetds 0.82

Revision 1.724  2008/06/16 08:16:12  arekm
- fix libtool R (>= 2.2)

Revision 1.723  2008/06/16 08:15:36  arekm
- don't require mime magic file to be present at build time; libtool 2.2 support

Revision 1.722  2008-06-03 19:45:14  hawk
- workaround building with autoconf 2.62, release 5

Revision 1.721  2008-05-29 20:33:27  glen
- cosmetic

Revision 1.720  2008-05-23 17:12:45  glen
- do not discriminate other SAPI's by recommending only Apache module

Revision 1.719  2008-05-23 10:41:29  pluto
- proper symlink to ltmain.sh in -devel, release 4.

Revision 1.718  2008-05-23 10:15:46  wrobell
- reverted wrong epoch change (fortunately, not built succesfuly)
- rel. 3 to build with new libtool

Revision 1.717  2008-05-23 09:46:35  pluto
- cp -f /usr/share/automake/config.* .

Revision 1.716  2008-05-21 20:01:21  wrobell
- rel. 5 to build with new libtool

Revision 1.715  2008-05-13 20:26:05  hawk
- release 2

Revision 1.714  2008-05-13 20:13:06  blues
- provides php(cgi)

Revision 1.713  2008-05-02 08:16:58  adamg
- updated to 5.2.6 (fixes CVE-2008-0599)

Revision 1.712  2008-04-23 16:39:43  arekm
- rel 8

Revision 1.711  2008-03-26 17:22:14  glen
- write out the actual release number

Revision 1.710  2008-03-26 16:25:00  dzimi
- rel 7
- add php-curl-limit-speed.patch, so PHP now supports limiting upload/download
  speed when using cURL

Revision 1.709  2008-02-05 14:09:24  dzeus
- more TODO

Revision 1.708  2008-01-19 13:25:46  glen
- adapter

Revision 1.707  2008-01-19 13:23:12  glen
- move icons to /usr/share/apache-icons (why these are needed anyway?); rel 6

Revision 1.706  2008-01-16 07:44:56  arekm
- rel 5

Revision 1.705  2007-12-17 22:30:16  glen
- rel 4

Revision 1.704  2007-12-10 12:43:53  arekm
- rel 3

Revision 1.703  2007-12-10 12:11:38  hawk
- release 2 (imap 2006k)

Revision 1.702  2007-11-12 09:59:10  glen
- typo

Revision 1.701  2007-11-12 09:55:21  glen
- AC-branch merge (use bundled xmlrpc-epi, fcgi error loglines patch)

Revision 1.700  2007-11-12 09:39:41  glen
- typo

Revision 1.699  2007-11-12 09:38:40  glen
- renumber sources

Revision 1.698  2007-11-12 08:29:34  glen
- AC-branch merge

Revision 1.697  2007-11-12 08:15:25  glen
- 5.2.5, lots of security enchancements. also resolves CVE-2007-4887.

Revision 1.696  2007/11/08 00:13:55  glen
- add -fcgi-graceful.patch
- less verbose generate of ini files
- use /etc/httpd/conf.d apache2 dirs
- allow api version grep to fail and stop build

Revision 1.695  2007/11/07 22:34:20  glen
- 5.2.5RC2
- skip php.ini loading in sapi name test which would load system extensions whose API version would mismatch

Revision 1.694  2007/11/03 15:17:02  baggins
- rel 0.4

Revision 1.693  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.692  2007/10/31 14:40:52  glen
- check what sapi thinks it is

Revision 1.691  2007/10/31 13:36:21  glen
- remove sapi/cgi objects _before_ building

Revision 1.690  2007/10/31 13:27:20  glen
- pthread hack not needed
- catch errors from subshell

Revision 1.689  2007/10/30 20:24:16  glen
- 5.2.5RC1

Revision 1.688  2007/10/22 22:24:26  glen
- adapter friendly

Revision 1.687  2007/10/12 17:00:47  glen
- rel 5: #42952

Revision 1.686  2007/10/10 15:21:14  baggins
- rel 4

Revision 1.685  2007/09/14 18:10:15  qboosh
- versioned ming R in -ming

Revision 1.684  2007/08/31 19:52:23  arekm
- rel 3; drop obsolete -mysql.patch

Revision 1.683  2007/08/31 17:50:19  glen
- update to 5.2.4,
  CVE-2007-3378, CVE-2007-3806, MOPB-03-2007, CVE-2007-2872

Revision 1.682  2007/07/15 17:50:50  arekm
- rel 6; add mysql.patch

Revision 1.681  2007/07/14 21:39:29  arekm
- rel 5

Revision 1.680  2007/07/09 14:02:05  adamg
- php-xsl requires php-dom

Revision 1.679  2007/07/03 09:13:12  arekm
- rel 4

Revision 1.678  2007/07/03 09:13:00  arekm
- rel 3

Revision 1.677  2007/07/02 22:27:34  glen
- provide php-pcre; rel 3

Revision 1.676  2007/06/21 10:36:59  arekm
- rel 2

Revision 1.675  2007/06/01 08:48:58  arekm
- tests are off by default

Revision 1.674  2007/06/01 08:45:54  glen
- 5.2.3: resolves CVE-2007-2872, CVE-2007-2756, CVE-2007-1900;
  improves fix for CVE-2007-1887

Revision 1.673  2007/05/30 20:22:45  arekm
- rel 3; don't use check section for now

Revision 1.672  2007/05/30 18:33:09  arekm
- rel 2

Revision 1.671  2007/05/08 16:41:46  glen
- ac-branch merge

Revision 1.670  2007/05/08 16:37:39  glen
- ac-branch merge

Revision 1.669  2007/05/05 10:09:56  arekm
- rel 1; cve issues seem to be fixed

Revision 1.668  2007/05/04 11:16:44  glen
- 5.2.2, CVE patches not checked

Revision 1.667  2007/04/29 20:43:50  qboosh
- merged RH's security patches from AC-branch
  (CVE-2007-0455 CVE-2007-1001 CVE-2007-1583 CVE-2007-1718)
- release 6

Revision 1.666  2007/04/29 20:40:46  qboosh
- renumbered patches

Revision 1.665  2007/04/02 06:42:51  arekm
- rel 5; krb5 rebuild

Revision 1.664  2007/02/28 18:52:33  arekm
- rel 4

Revision 1.663  2007/02/25 15:25:32  arekm
- rel 3

Revision 1.662  2007/02/22 15:20:02  qrczak
- php-sybase and php-sybase-ct conflict each other. "Obsoletes" is not
  enough to prevent simultaneous installation of both.

Revision 1.661  2007/02/21 22:23:21  blues
- sync with AC-branch

Revision 1.660  2007/02/19 12:05:07  glen
- cosmetics

Revision 1.659  2007/02/19 11:36:48  arekm
- rel 2; define _sysconfdir to php_sysconfdir; php-config depends on that

Revision 1.658  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.657  2007/02/12 21:15:43  glen
- up

Revision 1.656  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.655  2007/02/11 17:17:05  arekm
- rel 1

Revision 1.654  2007/02/11 17:15:43  arekm
- drop memory limit patch

Revision 1.653  2007/02/09 17:25:32  glen
- temporary pthread linking fix

Revision 1.652  2007/02/09 17:05:00  glen
- seems to need newer ming
- compile failure is from threads-acfix.patch

Revision 1.651  2007/02/09 09:37:08  glen
- 5.2.1, but threading libs not found

Revision 1.650  2007/02/02 13:09:03  glen
- typo (reported by Qrczak)

Revision 1.649  2007/01/16 22:18:11  glen
- rpmbuild macros bump is unneccessary as all new macros are local

Revision 1.648  2007/01/16 22:14:00  glen
- use common php extension macros

Revision 1.647  2007/01/11 00:24:25  glen
- AC-branch merge

Revision 1.646  2007/01/07 18:39:54  qboosh
- Obsoletes: php-pecl-hash

Revision 1.645  2007/01/04 13:17:00  glen
- install headers needed by php-pecl-mailparse; rel 8

Revision 1.644  2006/12/23 11:24:22  qboosh
- updated gd_imagerotate_enable patch, use "gd(imagerotate) = 5.2.0" deps
- restored comment about removed but STILL not obsoleted php-* packages

Revision 1.643  2006/12/22 22:07:11  qboosh
- dropped db3 bcond and allow-db31 patch

Revision 1.642  2006/12/22 22:01:25  qboosh
- interbase enabled by default (except ppc - broken on th-ppc)

Revision 1.641  2006/12/22 22:00:18  qboosh
- fixed link-libs patch; EXTRA_LIBS line is MUCH shorter now
- release 5

Revision 1.640  2006/12/22 20:58:41  qboosh
- removed comment about including removed modules

Revision 1.639  2006/12/22 20:49:17  qboosh
- don't refer to /opt/firebird for pdo-firebird

Revision 1.638  2006/12/20 11:54:45  glen
- AC-branch merge

Revision 1.637  2006/12/14 00:00:20  glen
- -zip obsoletes php-pecl-zip

Revision 1.636  2006/12/13 23:55:46  glen
- xmlwriter obsoletes php-pecl-xmlwriter

Revision 1.635  2006/12/13 23:27:24  glen
- add --sysconfdir to php-config for rpm macros; rel 3

Revision 1.634  2006/12/13 22:38:35  glen
- -json obsoletes php-pecl-json

Revision 1.633  2006/12/13 22:28:26  glen
- -filter obsoletes php-pecl-filter

Revision 1.632  2006/12/10 16:23:56  arekm
- rel 2

Revision 1.631  2006/12/07 18:15:10  arekm
- rel 1

Revision 1.630  2006/12/05 23:15:23  glen
- todo cleanup

Revision 1.629  2006/12/03 13:48:00  arekm
- rebuild

Revision 1.628  2006/12/01 11:00:08  arekm
- rel 0.23

Revision 1.627  2006/11/28 07:51:03  glen
- rename amd64.patch to memory-limit.patch as it affects also alpha

Revision 1.626  2006/11/26 15:36:23  glen
- fix conflicts

Revision 1.625  2006/11/26 15:14:01  glen
- conflict on php4-common package to prevent breaking partially updated systems

Revision 1.624  2006/11/26 13:20:40  glen
- drop the name based extension provides
- obsolete php-pcre package
- add virtual provides date, reflection to static extensions

Revision 1.623  2006/11/22 11:35:08  glen
- add filter bcond to simplify configure line

Revision 1.622  2006/11/22 11:32:33  glen
- sort extension bconds alphabetically

Revision 1.621  2006/11/22 09:31:49  qboosh
- cosmetics

Revision 1.620  2006/11/22 09:31:14  qboosh
- cosmetics

Revision 1.619  2006/11/22 09:29:16  qboosh
- pl update

Revision 1.618  2006/11/21 22:55:01  qboosh
- no more phpfi

Revision 1.617  2006/11/21 22:49:51  qboosh
- added sh patch to fix build with ksh+autoconf 2.60
- added curl patch to fix build with curl 7.16
- added db4.5 patch to prefer db4.5 > db4.4 > older versions

Revision 1.616  2006/11/19 23:06:38  glen
- msession was removed in 5.1.3

Revision 1.615  2006/11/19 23:03:00  glen
- filter extension built as shared

Revision 1.614  2006/11/19 22:37:20  glen
- simplify extension script macros
- add scripts for hash, json, xmlwriter

Revision 1.613  2006/11/19 22:12:52  glen
- hash, json, xmlwriter are shared extensions now

Revision 1.612  2006/11/19 21:46:06  glen
- json is compiled statically...

Revision 1.611  2006/11/15 21:21:54  qboosh
- typo

Revision 1.610  2006/11/15 12:05:47  glen
- use correct source and rename to browscap.ini

Revision 1.609  2006/11/14 22:08:32  blues
- added php_browscap.ini

Revision 1.608  2006/11/13 15:01:54  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.607  2006/11/12 16:47:12  glen
- there's no main package

Revision 1.606  2006/11/09 00:15:40  glen
- added php(extension) provides for extensions

Revision 1.605  2006/11/09 00:04:48  glen
- add back R: gd(gif)

Revision 1.604  2006/11/08 23:53:44  glen
- drop also %post/%postun of session

Revision 1.603  2006/11/08 23:48:15  glen
- session doesn't exist as subpackage

Revision 1.602  2006/11/08 23:46:27  glen
- drop php-gd(gif) provides (nothing uses it)

Revision 1.601  2006/11/08 14:37:13  glen
- extensions do not have post,preun scripts

Revision 1.600  2006/11/08 14:35:18  glen
- drop -reflection.patch (arekm said it was just compile fix)
- use -cli instead of -program in pncntl deps

Revision 1.599  2006/11/07 20:20:45  qboosh
- more verbose mime_magic comment

Revision 1.598  2006/11/03 09:16:23  glen
- no obsoletes until there's solution

Revision 1.597  2006/11/03 00:31:48  glen
- -zip package based on php-pecl-zip

Revision 1.596  2006/11/03 00:28:17  glen
- removed dropped files, cleanups
- filter depends on pcre
- enable zip extension (shared)
- tested that php can be compiled without pcre

Revision 1.595  2006/11/02 23:37:53  glen
- ini-search-path.patch resolved upstream

Revision 1.594  2006/11/02 22:33:16  glen
- hwapi, filepro have been dropped
- pcre compiled statically as -common depends on it's symbols
- two patches todo

Revision 1.593  2006/11/02 19:13:36  glen
- 5.2.0 tarball fetch

Revision 1.592  2006/11/01 16:45:47  glen
- Provide php-overload for the sake of simplier deps

Revision 1.591  2006/09/30 22:17:14  arekm
- rebuild with new db4.5

Revision 1.590  2006/09/05 09:30:04  glen
- merge from AC-branch: install ext/pcre/php_pcre.h

Revision 1.589  2006/09/05 09:14:25  glen
- 5.1.6: bugfix release of memory_limit on 64bit systems

Revision 1.588  2006/08/24 15:45:50  glen
- drop FAQ.php (contains text What is PHP3). thx zod

Revision 1.587  2006/08/19 10:05:27  adamg
- Source0-md5 updated

Revision 1.586  2006/08/19 09:53:08  adamg
- updated to 5.1.5
- dropped substr_compare.patch (already applied)

Revision 1.585  2006/08/10 07:19:31  arekm
- rel 5; fixes for as-needed

Revision 1.584  2006/08/09 07:00:36  arekm
- rel 4

Revision 1.583  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.582  2006/06/22 13:10:13  arekm
- fix bug 37394

Revision 1.581  2006/06/21 12:15:32  arekm
- rel 3.1; soap fix with libxml2 >= 2.6.24; fix if conditional

Revision 1.580  2006/06/20 12:51:33  glen
- use more memory on amd64 (php.ini setting)

Revision 1.579  2006/06/18 21:52:24  glen
- reverted, commited to wrong branch

Revision 1.578  2006/06/18 21:51:26  glen
- AC-branch moved

Revision 1.577  2006/06/18 10:44:06  glen
- /usr/share/php already in php-dirs pkg, rel 3

Revision 1.576  2006/05/26 09:05:52  hawk
- added fix for CLI SEGVs with tidy or sybase_ct enabled
- renumbered patches, cleanup
- release 2

Revision 1.575  2006/05/08 18:04:29  glen
- openssl-huge-hack.patch dropped (unable to reproduce)
- rel 1

Revision 1.574  2006/05/04 06:22:42  adamg
- updated to 5.1.4 (broke POST arrays issue fixed - see bug37276:
  http://bugs.php.net/bug.php?id=37276)

Revision 1.573  2006/05/02 14:21:49  glen
- update to 5.1.3, ext/msession was moved to pecl

Revision 1.572  2006/04/27 19:15:41  glen
- rel 11

Revision 1.571  2006/04/20 20:54:08  glen
- hack installed acinclude.m4
- remove evil rpaths from installed libphp_common.la

Revision 1.570  2006/04/20 19:48:23  glen
- don't mungle build files

Revision 1.569  2006/04/19 16:43:03  adamg
- fix for two security issues: XSS in phpinfo() and binary safeness in
  html_decode

Revision 1.568  2006/04/16 00:47:36  glen
- build cleanups, use permanent config.cache if configured
- CFLAGS mungling unneccessary, all goes via apxs

Revision 1.567  2006/04/16 00:30:58  glen
- renumber sources

Revision 1.566  2006/04/16 00:28:41  glen
- search additionally for .ini files from PHP_CONFIG_FILE_PATH/SAPI.d directory
- drop php4-module-install, use sed directly in triggers

Revision 1.565  2006/04/16 00:00:43  glen
- virtual php(program) dropped, use /usr/bin/php only

Revision 1.564  2006/04/15 23:05:56  glen
- versioning bcond
- clean linkflags from CFLAGS

Revision 1.563  2006/04/01 17:34:06  glen
- obsolete PDO* for pdo packages (they are the same, pecl ones are usually way behind)
- rel 8

Revision 1.562  2006/03/28 18:23:59  arekm
- disable interbase/firebird for now; it's in bad shape in Th

Revision 1.561  2006/03/24 20:27:06  glen
- build doesn't use perl directly

Revision 1.560  2006/03/23 19:45:24  qboosh
- sorted module bconds, strict internal php-dom dep

Revision 1.559  2006/03/23 18:44:21  glen
- tmpwatch and common dirs moved to php-dirs package, rel 7

Revision 1.558  2006/03/22 23:56:44  glen
- 5.1.2 resolves CVE-2006-0207, CVE-2006-0208

Revision 1.557  2006/03/22 23:25:14  blues
- typo

Revision 1.556  2006/03/22 22:29:33  blues
- clean temporary php files moved from tmpwatch spec

Revision 1.555  2006/03/14 11:26:22  spider
- php-xmlreader require php-dom
- pointed by Lukasz Klimek

Revision 1.554  2006/01/25 11:26:45  arekm
- rel 6; nasty hack for pgsql+curl problem

Revision 1.553  2006/01/24 18:18:39  qboosh
- updated pl

Revision 1.552  2006/01/24 16:24:55  glen
- it's no longer use with apache only

Revision 1.551  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.550  2006/01/20 21:16:52  glen
- R: mod_mime for apache module; rel 5, STBR

Revision 1.549  2006/01/17 16:38:12  glen
- stop windows behaviour: prevent php.ini being parsed from ./ and /usr/bin in
  cli sapi. see also php#34793
- rel 4

Revision 1.548  2006/01/17 15:58:22  baggins
- release 3
- BR openldap 2.3

Revision 1.547  2006/01/17 14:53:27  glen
- package ext/session/mod_files.sh

Revision 1.546  2006/01/16 19:12:38  arekm
- rel 2; enable reflection (static)

Revision 1.545  2006/01/14 09:39:28  glen
- b! nice, ever

Revision 1.544  2006/01/12 22:01:39  glen
- fix older triggers
- --enable-inline-optimization for faster code

Revision 1.543  2006/01/12 16:53:06  arekm
- updated to 5.1.2 [resolves CVE-2006-0207, CVE-2006-0208]

Revision 1.542  2006/01/09 19:00:04  qboosh
- pl for -pdo-firebird

Revision 1.541  2006/01/07 23:41:28  glen
- apache modules api dep should be sufficent

Revision 1.540  2006/01/06 18:22:56  glen
- make getimagesize() work for compressed .swf without static zlib extension. php-common was already linked with -lz
- BR: sqlite3-devel as pdo-sqlite appears to require v3

Revision 1.539  2006/01/03 14:39:51  arekm
- up to 5.1.2 snap; 5.1.1 is too broken

Revision 1.538  2006/01/01 23:25:01  glen
- package pdo_firebird
- link pdo-sqlite with shared sqlite
- link mbstring with shared libmbfl

Revision 1.537  2006/01/01 14:26:32  glen
- sqlite ext links with pdo symbols. bug?

Revision 1.536  2005/12/30 19:07:42  glen
- pdo_firebird files not packaged (add TODO)

Revision 1.535  2005/12/30 18:36:42  glen
- disable --enable-zend-multibyte, fixes apache1 module; rel 6

Revision 1.534  2005/12/29 17:08:42  glen
- sorted preambles, killed pointless obsolete

Revision 1.533  2005/12/29 15:29:13  adamg
- Obsoletes: php-pecl-domxml (broken and unsupported)

Revision 1.532  2005/12/25 21:25:51  glen
- rel 5 to rebuild with interbase

Revision 1.531  2005/12/25 21:01:44  glen
- dbx pecl was present
- dio pecl created from cvs

Revision 1.530  2005/12/25 20:27:50  glen
- todo cleanup (--enable-versioning does not work with shared modules and probably never will)

Revision 1.529  2005/12/25 20:19:06  glen
- created mnogosearch ext as separate spec

Revision 1.528  2005/12/24 17:52:09  qboosh
- reenabled interbase module
- oracle module is gone; there is pdo_oci, not pdo_oracle
- release 4

Revision 1.527  2005/12/23 22:55:58  qboosh
- one more module removed in 5.1

Revision 1.526  2005/12/23 22:41:07  qboosh
- noted more modules removed to deal with

Revision 1.525  2005/12/23 14:50:03  qboosh
- more pl, pl fixes

Revision 1.524  2005/12/21 23:11:29  glen
- require apache >= 2.2 to prevent php module triggering partial apache upgrade; rel 3

Revision 1.523  2005/12/21 21:55:52  glen
- remove pointless provide on php-common (apache modules dep is on apache specific package)

Revision 1.522  2005/12/21 17:09:16  arekm
- rel 2

Revision 1.521  2005/12/21 12:41:58  arekm
- drop one more patch

Revision 1.520  2005/12/21 11:47:17  arekm
- rel 1; drop obsolete patches

Revision 1.519  2005/12/18 22:28:27  glen
- adapterized

Revision 1.518  2005/12/18 22:25:42  glen
- switch order of autotools and buildconf invocation; builds now

Revision 1.517  2005/12/18 20:57:41  glen
- restored few lost changes with DEVEL merge

Revision 1.516  2005/12/15 13:20:03  arekm
- moved from DEVEL

Revision 1.515  2005/12/13 15:59:58  glen
- adapterized (sorted %verify attrs)

Revision 1.514  2005/12/09 23:31:54  glen
- backported php-cli -dextension loading behaviour from 5.1; rel 19

Revision 1.513  2005/12/02 14:07:41  glen
- add P: php to -fcgi package
- remove Obsoletes which prevented apache1/apache package simulatenous install (no longer needed either)
- rel 18

Revision 1.512  2005/11/24 10:17:27  arekm
- xml needs to be loaded before wddx

Revision 1.511  2005/11/16 11:07:20  arekm
- rel 17; fix bug 33720 (mbstring)

Revision 1.510  2005/11/08 18:34:21  glen
- fix #35009: ZTS: Persistent resource destruct crashes when extension is compiled as shared
- rel 16

Revision 1.509  2005/11/07 09:30:01  ankry
- added man redirection, rel. 15

Revision 1.508  2005/11/02 18:59:05  glen
- use system automake, shtool, libtool for -devel

Revision 1.507  2005/10/29 17:16:07  qboosh
- pl for -program

Revision 1.506  2005/10/29 13:42:13  glen
- created -program package which will be providing /usr/bin/php symlink; rel 14

Revision 1.505  2005/10/29 13:37:36  arekm
- correct zend_extension_api error message.

Revision 1.504  2005/10/29 00:35:50  glen
- rel 13

Revision 1.503  2005/10/28 19:00:07  glen
- add snapshot build support
- add zts and mime_magic bconds

Revision 1.502  2005/10/27 15:28:11  glen
- add Provides php(debug) and php(thread-safety) provides in -common; rel 12

Revision 1.501  2005/10/26 12:40:44  glen
- add README.FastCGI to fcgi package %doc

Revision 1.500  2005/10/20 10:20:21  qboosh
- reenabled Firebird for Ac

Revision 1.499  2005/10/17 16:44:20  glen
- (paralyzed) --with-pear is back for the sake of include_path; rel 11

Revision 1.498  2005/10/15 13:06:09  glen
- provides for extensions that are compiled statically into libphp-common (for PEAR packages); rel 10

Revision 1.497  2005/10/09 21:28:29  glen
- without sqlite bcond

Revision 1.496  2005/10/09 21:01:16  glen
- disable pear completely
- require at least one apache SAPI to build shared moules

Revision 1.495  2005/10/09 19:43:25  glen
- ftp extension & ssl linkage is fixed

Revision 1.494  2005/10/09 16:35:27  glen
- partial sort BR

Revision 1.493  2005/10/09 16:29:44  glen
- adapterized

Revision 1.492  2005/10/09 16:18:45  glen
- drop PreReq, pearprov

Revision 1.491  2005/10/06 22:17:51  glen
- todo for modularzation

Revision 1.490  2005/10/06 09:32:39  qboosh
- pl for -tokenizer

Revision 1.489  2005/10/06 09:21:56  glen
- rel 9

Revision 1.488  2005/10/04 14:26:41  glen
- move development docs to -devel, add more docs to devel

Revision 1.487  2005/10/04 14:22:20  glen
- build tokenizer extension as shared

Revision 1.486  2005/09/22 23:05:57  glen
- typo when fcgi bcond was not disabled

Revision 1.485  2005/09/22 22:58:57  glen
- fcgi bcond as requested by djurban

Revision 1.484  2005/09/19 23:17:53  glen
- add ssl link patch for ftp extension; rel 8

Revision 1.483  2005/09/17 11:55:06  arekm
- new readline, 5.0

Revision 1.482  2005/09/16 02:13:21  glen
- remove libphp5.la

Revision 1.481  2005/09/16 01:39:41  glen
- hardcode API versions into spec. reliable and works

Revision 1.480  2005/09/15 23:55:24  glen
- chasing the bug

Revision 1.479  2005/09/15 23:41:22  glen
- add debug on php_api_version and error check (as DEVEL is occupied using HEAD). rel 6

Revision 1.478  2005/09/14 15:25:17  adamg
- release 5

Revision 1.477  2005/09/14 14:19:35  adamg
- hardening patch updated to 5.0.5-0.4.3; -hardening-fix.patch disabled

Revision 1.476  2005/09/14 06:03:21  adamg
- possible fix for segfault when serializing objects (as described on
  pld-devel-pl)
- release 4.1

Revision 1.475  2005/09/13 20:45:25  glen
- fresh use rpmbuild macros; rel 4

Revision 1.474  2005/09/13 19:52:24  glen
- make it parse spec properly if source is not yet unpacked to extract API versions

Revision 1.473  2005/09/13 17:55:07  glen
- add API versions for php-common package (modules_api, zend_module_api, zend_extension_api)

Revision 1.472  2005/09/12 21:19:55  glen
- add /usr/share/php to php-common package for apps like jpgraph and phplib, rel 3; STBR

Revision 1.471  2005/09/10 20:15:20  arekm
- rel 2
- fix phpize in builddir.patch
- force-cgi-redirect enabled for cgi-like SAPIs
- enable zts mode for all SAPIs
- use php_config.h.fcgi.${sapi} instead of hardcoded CFLAGS
- install SAPI so's using libtool

Revision 1.470  2005/09/09 22:51:12  arekm
- rel 1

Revision 1.469  2005/09/06 21:49:40  adamg
- updated to 5.0.5
- some tweaks in %install/%files

Revision 1.468  2005/09/03 14:01:43  arekm
- system pcre

Revision 1.467  2005/08/23 10:31:11  glen
- rel 10 for finished conf.d support

Revision 1.466  2005/08/23 10:30:30  glen
- revert invalid last commit

Revision 1.464  2005/08/16 09:38:28  glen
- sed >= 4.0 for updated php-module-install

Revision 1.463  2005/08/16 09:28:52  glen
- apache packages split finished

Revision 1.462  2005/08/15 23:31:40  glen
- BR: rpm-build >= 4.4.0

Revision 1.461  2005/08/15 23:17:57  glen
- use %posttrans to minimize apache restarts (as rpm never promised
  ordering between install and erase, what in fact may change that
  ordering in order to run erasures in parallel with installs.)

Revision 1.460  2005/08/15 16:39:15  glen
- port changes fron php4.spec:
  - add conf.d support
  - minimize apache restarts
  - possibility to build both apache1/apache2 modules (unfinished due Obsolete not resolved)
- cut php 4.x changelog

Revision 1.459  2005/08/14 15:21:34  glen
- fix trigger epoch; rel 9, STBR

Revision 1.458  2005/08/05 17:06:10  hawk
- release 8 (non-integer release changes should work, same changes were
  already built in php4.spec and there were no complaints about them)

Revision 1.457  2005/07/24 21:43:05  glen
- fix trigger

Revision 1.456  2005/07/24 21:34:35  glen
- trigger for php-apache2handler.ini name change

Revision 1.455  2005/07/24 21:29:21  gotar
- use php-apache2handler.ini instead of php-apache.ini for apache2

Revision 1.454  2005/07/03 00:21:44  ankry
- tabs

Revision 1.453  2005/07/03 00:15:26  prism
- fixed some typos in hardening patch, now it builds

Revision 1.452  2005/07/02 20:17:17  prism
- Hardened-PHP is renamed to Hardening-Patch due to the PHP license
- s/hardened/hardening/ in bconds
- Hardening-Patch updated to 0.3.0

Revision 1.451  2005/06/19 16:21:14  glen
- enabled log_errors=On in php.ini
- rel 7
- STBR

Revision 1.450  2005/06/04 19:24:59  zergin
- added %post, %postun for php-tidy
- added R:tidy for php-tidy

Revision 1.449  2005/06/02 13:27:38  ankry
- fix bcond comment

Revision 1.448  2005/05/15 21:14:56  hawk
- release 6 to rebuild with new imap

Revision 1.447  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.446  2005/05/07 21:27:43  glen
- ftp module TODO

Revision 1.445  2005/05/06 20:57:31  glen
- reverted

Revision 1.444  2005/05/06 20:52:23  glen
- workaround for php module needing openssl symbols. depend on php-openssl

Revision 1.443  2005/05/06 10:20:10  qboosh
- formatting once again, more general if

Revision 1.442  2005/05/03 11:41:41  mmazur
- typo

Revision 1.441  2005/05/03 11:35:20  mmazur
- rel 5; builds with gcc4

Revision 1.440  2005/05/03 00:37:12  mmazur
- Firebird's code looks like crap and gcc4 doesn't like it; disabling firebird
  support

Revision 1.439  2005/04/27 20:16:19  prism
- hardened php updated to 5.0.4-0.2.7

Revision 1.438  2005/04/27 14:48:19  hawk
- release 4

Revision 1.437  2005/04/20 18:39:15  qboosh
- release 3

Revision 1.436  2005/04/16 13:15:43  qboosh
- added comment to R

Revision 1.435  2005/04/16 13:14:05  qboosh
- strange SEGVs seem to be caused by dlclose() bugs in glibc <= 2.3.4 - R: glibc 2.3.5

Revision 1.434  2005/04/07 23:56:00  ankry
- cosmetics

Revision 1.433  2005/04/07 22:24:43  sardzent
- added missing Requires for php-snmp

Revision 1.432  2005/04/04 21:57:09  qboosh
- killed memory leak in sapi-ini-file patch
- added cpdf-fix patch to fix cpdf module linking (needs lib64 patch update)
- release 2.1

Revision 1.431  2005/04/04 20:44:24  qboosh
- more

Revision 1.430  2005/04/04 20:25:13  qboosh
- detected more bugs to do

Revision 1.429  2005/04/04 20:15:56  qboosh
- todo: cpdf module linking is broken

Revision 1.428  2005/04/04 20:03:11  qboosh
- removed obsolete wddx-fix patch; wddx now relies on XML API from xml module
  (which must be loaded before!)

Revision 1.427  2005/04/03 12:55:23  glen
- rel 2; STBR

Revision 1.426  2005/04/03 12:26:36  glen
- rel += .1

Revision 1.425  2005/04/03 12:25:30  glen
- apache1 as bcond

Revision 1.424  2005/04/03 10:45:38  qboosh
- don't use '\-' in regexp (just in case)

Revision 1.423  2005/03/31 23:48:25  adamg
- updated to 5.0.4

Revision 1.422  2005/03/31 09:02:16  qboosh
- Obsoletes for php-domxml (in last version from php.spec - not to obsolete php4 modules)

Revision 1.421  2005/03/31 08:49:39  matipl
- add Provides php-domxml (from php4 to compatible) for php-dom

Revision 1.420  2005/03/27 01:11:46  adamg
- updated to 5.0.4RC2

Revision 1.419  2005/03/20 15:38:51  undefine
- provide: php-common(apache-modules-api) = %{apache_modules_api}
  (some modules need use with php with the same apache_modules_api version,
  with they was compiled).

Revision 1.418  2005/03/15 17:38:02  adamg
- updated to 5.0.4RC1
- updated -lib64, -libtool, -sybase-fix and -threads-acfix patches
- dropped -phpize patch (already applied)
- release 0.1

Revision 1.417  2005/03/13 16:23:10  blues
- php-xsl obsoletes php-xslt

Revision 1.416  2005/03/09 23:14:55  arekm
- enable soap extension; comment about broken shared patch; epoch++ to be higher than on branch

Revision 1.415  2005/03/09 21:45:01  arekm
- enable soap (nfy)

Revision 1.414  2005/02/12 22:46:25  arekm
- rel ++

Revision 1.413  2005/02/10 22:10:21  adamg
- added install_gd_headers.patch (fixes build of php-pecl-pdflib)

Revision 1.412  2005/02/05 23:00:52  hawk
- release 3 to rebuild with new imap

Revision 1.411  2005/01/25 17:12:57  glen
- php-pear now available separately

Revision 1.410  2005/01/11 00:15:55  hawk
- release++ to rebuild with new imap

Revision 1.409  2005/01/07 21:11:28  arekm
- turn on mysqli by default

Revision 1.408  2004/12/28 16:04:15  glen
- fix apache1 build
- simplify apache2 vs apache1

Revision 1.407  2004/12/28 15:55:47  troll
- extended english and added polish description of mysqli

Revision 1.406  2004/12/28 14:40:05  glen
- added mysqli support

Revision 1.405  2004/12/26 20:16:08  qboosh
- added mail patch todo

Revision 1.404  2004/12/26 20:13:13  qboosh
- merges from php4: separate .ini source for fcgi, apache1 updates, cosmetics

Revision 1.403  2004/12/26 19:23:21  qboosh
- more todos

Revision 1.402  2004/12/26 19:13:19  qboosh
- ini patch cosmetics, added java to removed modules list

Revision 1.401  2004/12/26 19:01:01  qboosh
- todo update

Revision 1.400  2004/12/26 18:22:58  qboosh
- added dba-link patch (use -ldb to link dba module only, not whole php)

Revision 1.399  2004/12/26 17:00:03  qboosh
- updated msession-shared-lib patch, added (untested) hwapi-link patch
  now core php doesn't depend on libstdc++

Revision 1.398  2004/12/26 15:37:04  qboosh
- fixed uint32_t patch to use standard header
  libidn is used by curl not php

Revision 1.397  2004/12/26 15:26:42  qboosh
- proper dom configure option - now shared dom module is built

Revision 1.396  2004/12/26 14:05:27  qboosh
- libxml and simplexml extensions cannot be built as shared (they are used in SPL);
  xml bcond makes no sense now
- libxml2 vs expat cleanups

Revision 1.395  2004/12/26 13:50:46  qboosh
- mono and yaz have been moved to PECL

Revision 1.394  2004/12/26 13:49:04  qboosh
- removed outdated xml-expat-fix patch

Revision 1.393  2004/12/26 12:54:00  qboosh
- build shared xsl; libgcrypt is required by lib(e)xslt not php
- removed obsolete domxslt bcond

Revision 1.392  2004/12/26 11:00:04  qboosh
- what xslt? there is no such module now

Revision 1.391  2004/12/26 10:48:07  qboosh
- java module has been removed

Revision 1.390  2004/12/26 10:33:13  qboosh
- what hyperwave? hyperwave module has been removed;
  s/hyperwave/hwapi/ in all references to hwapi module

Revision 1.389  2004/12/21 21:54:43  adamg
- fixed link in bcond description

Revision 1.388  2004/12/21 21:52:45  adamg
- apply (conditionally) patch from hardened-php project

Revision 1.387  2004/12/21 07:47:18  adamg
- hopefully fix build on sparc (include missing header)

Revision 1.386  2004/12/15 21:29:24  adamg
- pl2.php.net seems to be down

Revision 1.385  2004/12/15 21:13:06  adamg
- updated to 5.0.3, several security fixes:
  - CAN-2004-1018
  - CAN-2004-1019
  - CAN-2004-1020
  - CAN-2004-1063
  - CAN-2004-1064
  - CAN-2004-1065
- updated lib64.patch
- dropped mssql.patch (already applied)

Revision 1.384  2004/12/14 16:59:56  baggins
- DON'T hardcode java paths!

Revision 1.383  2004/12/11 11:13:13  arekm
- xslt off by default since it doesn't build at this moment

Revision 1.382  2004/12/11 00:47:16  ankry
- rel. 9 (why it was non-int?)

Revision 1.381  2004/12/06 20:17:30  blues
- make with xslt bcond at least possible to use...

Revision 1.380  2004/11/26 19:26:24  qboosh
- -common Obsoletes php-session < 3:4.2.1-2 (when it was separate) - that should work

Revision 1.379  2004/11/25 20:26:14  arekm
- don't obsolete php-session because it obsoletes php4-session, too :/

Revision 1.378  2004/11/25 11:01:25  arekm
- bump rel (8.1, 2.1)

Revision 1.377  2004/11/25 11:00:18  arekm
- drop Conflicts between php and php4 package - done on configuration level

Revision 1.376  2004/11/16 23:29:50  hawk
- moved note to description of sybase subpackage

Revision 1.375  2004/11/16 22:39:54  hawk
- fixed sybase module build, added note

Revision 1.374  2004/11/16 22:04:33  havner
- rel 7

Revision 1.373  2004/11/16 21:34:50  hawk
- fixed sybase_ct module not being packaged when build without sybase

Revision 1.372  2004/11/16 21:19:05  havner
- rel 6

Revision 1.371  2004/11/16 20:48:13  havner
- i hope it will be ok this time, no conflicts for common packages
  cause they can work together when used separately (not by apache), only
  with apache they don't work, so conflicts for php and php4 packages
- devel packages obsolete themeselves (for builders)

Revision 1.370  2004/11/16 19:52:40  havner
- ln -s php.cli php

Revision 1.369  2004/11/16 19:41:53  havner
- s/program/cli for readline and ncurses

Revision 1.368  2004/11/16 19:13:40  havner
- conflicts for php4

Revision 1.367  2004/10/30 08:24:16  ankry
- PHP language is not the php program, pl fix

Revision 1.366  2004/10/30 07:07:26  paladine
- unifications

Revision 1.365  2004/10/25 13:35:22  arekm
- make cleaning of stale session files work

Revision 1.364  2004/10/25 10:04:20  qboosh
- updated lib64 patch to fix extension_dir in php.ini
- enabled interbase module on alpha
- release 5

Revision 1.363  2004/10/25 09:47:40  qboosh
- patch proper file in ini patch, updated apache-devel BRs

Revision 1.362  2004/10/18 13:16:55  blues
- release 4 - added gd_imagerotate_enable patch to allow using imagerotate
  function. Taken from RA-branch.

Revision 1.361  2004/10/10 13:36:23  gotar
- PR: apache >= 2.0.52 (reported many times, nobody cares), release 3

Revision 1.360  2004/10/03 02:01:03  havner
- rel 2

Revision 1.359  2004/10/03 00:52:18  havner
- rel 1

Revision 1.358  2004/10/02 23:14:13  paszczus
- removed SECURITY notes (5.0.2 fixes)

Revision 1.357  2004/10/02 20:37:05  arekm
- updated to 5.0.2

Revision 1.356  2004/09/21 10:46:36  blues
- next security note

Revision 1.355  2004/09/21 10:19:27  blues
- SECURITY note (fix avaible via php cvs)

Revision 1.354  2004/09/14 20:11:17  adamg
- stop using php4 icon

Revision 1.353  2004/09/01 18:08:04  adamg
- BuildRequires: libgcrypt-devel

Revision 1.352  2004/08/18 23:26:39  arekm
- reverted socket change, FIRST understand THEN change

Revision 1.351  2004/08/18 23:24:30  gotar
- mysql UNIX socket defaults to PLD default

Revision 1.350  2004/08/18 22:00:41  qboosh
- added amd64 to archs with Firebird support

Revision 1.349  2004/08/15 20:08:48  adamg
- devel subpackage requires autoconf and automake (needed by phpize)

Revision 1.348  2004/08/13 19:49:41  adamg
- separate sybase and sybase_ct modules - first one is broken (dunno why)
- release 0.2

Revision 1.347  2004/08/13 17:15:10  adamg
- updated to 5.0.1

Revision 1.346  2004/08/12 09:55:15  qboosh
- require just gd* 2.0.28; restore changelog

Revision 1.345  2004/08/12 09:45:40  blues
- drop with gif bcond - not needed now

Revision 1.344  2004/08/11 10:04:26  qboosh
- BR: ncurses-ext-devel

Revision 1.343  2004/08/09 11:30:43  blues
- require proper libxml2

Revision 1.342  2004/08/08 21:09:28  arekm
- rel 4 (works with threaded and non-threaded MPMs)

Revision 1.341  2004/08/08 20:21:49  arekm
- option changed name

Revision 1.340  2004/08/08 13:58:56  arekm
- enable zts for apache2

Revision 1.339  2004/08/07 19:12:12  adamg
- fix lib path in phpize (otherwise phpize fails on amd64)
- proper quotation of autofoo definitions in phpize.m4
- release 3

Revision 1.338  2004/08/04 13:48:06  arekm
- rel 2 (builds on amd64, too)

Revision 1.337  2004/08/04 13:22:02  arekm
- doh :)

Revision 1.336  2004/08/04 13:10:20  arekm
- patch25 applied only for amd64

Revision 1.335  2004/08/04 12:39:51  arekm
- add lib64 patch

Revision 1.334  2004/07/30 23:57:27  qboosh
- build recode module

Revision 1.333  2004/07/30 13:42:40  qboosh
- added nohttpd patch

Revision 1.332  2004/07/25 21:34:19  arekm
- rel 1 (major issue fixed (linking problems))

Revision 1.331  2004/07/19 22:38:13  arekm
- one more release into R

Revision 1.330  2004/07/19 22:20:01  arekm
- merged DEVEL

Revision 1.304.2.18  2004/07/16 19:55:38  arekm
- sqlite subpackage added; missing post/postun scripts for sqlite/simplexml added

Revision 1.304.2.17  2004/07/16 19:38:52  arekm
- sqlite enabled, simplexml enabled (as static, shared build broken)

Revision 1.304.2.16  2004/07/14 15:37:09  zergin
- added missing BR: libidn-devel

Revision 1.304.2.15  2004/07/13 22:57:03  adamg
- updated to 5.0.0 final (fetch sources for now; will work on this in a few days)

Revision 1.304.2.14  2004/06/10 18:56:52  adamg
- updated to 5.0.0RC3
- added mnogosearch-fix.patch (taken from HEAD)
- removed pdf extension (moved to PECL)

Revision 1.304.2.13  2004/05/01 20:39:32  adamg
- turned off sybase extension (breaks build)

Revision 1.304.2.12  2004/05/01 20:17:56  adamg
- switched some bconds (should build now)

Revision 1.304.2.11  2004/05/01 20:15:42  adamg
- updated to 5.0.0RC2

Revision 1.304.2.10  2004/03/18 22:46:18  arekm
- fix sqlite, breaks on sybase db

Revision 1.304.2.9  2004/03/18 19:31:27  arekm
- started RC1 + some fcgi things

Revision 1.304.2.8  2004/03/07 23:13:33  adamg
- removed fcgi todo entry

Revision 1.304.2.7  2004/03/07 22:37:24  adamg
- merged changes from HEAD (spelling fix, fcgi support)

Revision 1.304.2.6  2004/01/01 19:56:01  adamg
- added new extensions (can be disabled with bcond):
  - fam (File Alteration Monitor)
  - mono
  - sqlite
- now simplexml build can really be disabled :)
- --with-jpeg-dir, --with-png-dir and --with-tiff-dir weren't properly
  handled (was 'shared,/usr', should be '/usr')
- some more php4 to php5 substitutions
- still doesn't build, there are some linking problems...

Revision 1.304.2.5  2003/12/27 20:27:13  adamg
- Removed following extensions:
    crack, db, domxml, fribidi, mcal, overload, qtdom, zip
  They were either moved to PECL, or permanently removed.
- Added following extensions
    tidy, simplexml
  They are build by default, but can be disabled by using bcond.
- Hyperwave extension depends on proprietary libs, thus it is not being
  built by default
- Removed obsolete BuildRequires
- Removed obsolete patches, sorted the rest
- OpenSSL extensions is now build as a module (it was broken in 4.3.x)
- /php 4/php 5/ in some of summaries
- Added %{_pre} to Release
- Some cosmetics in bcond descriptions
- Almost done, sybase module still doesn't build.

Revision 1.304.2.4  2003/12/26 21:09:48  adamg
- s/libphp4/libphp5/
- libphp5.so isn't installed with make install (ToDo: why?)
- hey, it builds (--without {sybase,interbase}) !

Revision 1.304.2.3  2003/12/25 22:10:40  adamg
- fixed Source0-md5

Revision 1.304.2.2  2003/12/25 17:08:02  adamg
- updated -shared.patch
- added temporary source0 url
- ehrm, release 0.1
- still some complaints on %files (one, actually)
- Work In Progress, do not touch, please

Revision 1.304.2.1  2003/12/25 11:21:18  adamg
- began work on php5
- removed some extensions (few of them were moved to PECL)
- builds (with --without interbase and --without sybase), but still fails
  on %files
- Not Finished Yet.
